<cfapplication name="eurocomm" clientmanagement="Yes"
   sessionmanagement="Yes" setclientcookies="yes"  
   sessiontimeout="#CreateTime(0, 30, 0)#"
   applicationtimeout="#CreateTime(1, 0, 0)#"
   clientstorage="Registry">
   
<cflock timeout="9" throwontimeout="No" type="ReadOnly" scope="Application">
  <cfset IsInitialized = structkeyexists(application,"Initialized")>
</cflock> 

<cfinclude template="core/includes/inc_user_session.cfm" /> 
<cfinclude template="core/udf/server.cfm">
<cfinclude template="core/udf/query.cfm">
<cfinclude template="core/udf/function.cfm">
 
<cfparam name="url.h" default="">
<cfset url = urlDecrypt(url.h)>  

<!--- Application Variable --->

<cfif not IsInitialized>
  <cflock type="Exclusive" scope="Application" timeout="60">
    <cfif not structkeyexists(application,"Initialized")>
		<cflock scope="application" timeout="30" type="exclusive">
        	<cffile file="#ApplicationRoot('')#core\config.xml" action="read" variable="config">
			<cfscript>
				configXML = xmlParse(config); 
				application.name = configXML.Officemod.application.XmlAttributes["Name"];
				application.dsn = configXML.Officemod.dsn.XmlAttributes["Name"]; 
				application.companyname = configXML.Officemod.Company.XmlAttributes["Name"];
				application.conn=createObject('component','com.adexfe.officemod.connection').init(application.dsn);
				coreObj = createObject('component','com.adexfe.officemod.core').init(application.dsn); 
				application.CurrentVersion = coreObj.getVersion();
				application.IsLicenced = coreObj.IsLicenced(application.name);
				application.DaysLeft = coreObj.DaysLeft();
				application.Solutions = coreObj.getSolutions();
				application.Modules = coreObj.getModules();
				application.Pages = coreObj.getPages();
				//check for changes in stocks, and update the database
				//application.Data.Stock = coreObj.ListStock();
				//-----------
				application.Initialized = true;
			</cfscript>
            <cfset application.LatestVersion = 1><!---createobject('webservice','#WSRoot()#officemod/ws/update.cfc?wsdl').GetLatestVersion()--->
	  	</cflock>
	 </cfif>
  </cflock>
</cfif>
<cfset application.LatestVersion = 1>
<cfset application.xGridDataPath = "core/tags/xGrid_1000/">
<cfset application.title=application.companyname & '. OfficeMod'>
<!---//--->
<cfset solution="officemod">
<cfparam name="url.bp" default="">
<cfparam name="url.pn" default="1"> 

 
<cferror exception="any" mailto="gensoftng@yahoo.com" type="request" template="error.cfm">

 
<!--- security pass ---> 

<cfif url.bp neq "">
	<!--- first level --->
	<cfif listcontainsnocase(request.Roleinfo.modules,listfirst(url.bp,'.')) OR listcontainsnocase(request.Roleinfo.modules,"*")>
		<!--- do nothing --->
    <cfelseif listcontainsnocase('x',listfirst(listLast(url.bp,'.'),'_')) >
    	<!--- do nothing --->
    <cfelseif listcontainsnocase(request.Roleinfo.AccessRights,listfirst(listLast(url.bp,'.'),'_'),'|') OR listcontainsnocase(request.Roleinfo.AccessRights,"*") >
	<cfelse>
		<!--- denie pass --->
		<cfthrow detail="Access Denied. Please <a href='#remoteroot('')#'>Click here</a> to Login again" />
	</cfif>
    <cfif listlen(url.bp,'.') gt 1>
    	<cfif listcontainsnocase(request.Roleinfo.AccessRights,listfirst(listLast(url.bp,'.'),'_'),'|') OR listcontainsnocase(request.Roleinfo.AccessRights,"*") >
        <cfelse>
        	<cfthrow detail="Access Denied. Please <a href='#remoteroot('')#'>Click here</a> to Login again" />
        </cfif>
    </cfif>
</cfif> 


 