<!---//--------------------------------------------------------------------
	Name:		edit_l.cfm
	Author:		Arowolo Michael .A.
	Created:	08/08/2008
	Updated:	08/08/2008
	Copyright:	(c) 2008	
	Purpose:	edit stockbroking link
---------------------------------------------------------------------//---> 

<Cfif structkeyexists(form,'sub')>
	<cfset getSb = application.conn.RunQuery('SELECT * FROM acc_sb_link')>
    <cfif getSB.RecordCount gt 0>
        <cfquery datasource="#application.dsn#">
            UPDATE acc_sb_link SET
                TradingBankGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.TBA#">,
                WithholdingTaxGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.WTA#">,
                OwnClientGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.OCA#">,
                SECGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.SEC#">,
                VATGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.VAT#">,
                ContractStampGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.CS#">,
                BuyCSCSGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.BCSCS#">,
                SellCSCSGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.SCSCS#">,
                NSEGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.NSE#">,
                PIFGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.PIF#">,
                InterestGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.IA#">,
                BrokerCommissionGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.BCA#">,
                ThirdPartyCommissionGLId = <cfqueryparam cfsqltype="cf_sql_integer" value="#form.TCA#">
        </cfquery>
	<cfelsE>
        <cfquery datasource="#application.dsn#">
            INSERT INTO acc_sb_link (
                TradingBankGLId, WithholdingTaxGLId, OwnClientGLId,
                SECGLId, VATGLId, ContractStampGLId, BuyCSCSGLId,
                SellCSCSGLId, NSEGLId, PIFGLId , InterestGLId ,
                BrokerCommissionGLId, ThirdPartyCommissionGLId
            )
            VALUES	(
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.TBA#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.WTA#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.OCA#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.SEC#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.VAT#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.CS#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.BCSCS#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.SCSCS#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.NSE#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.PIF#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.IA#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.BCA#">,
                <cfqueryparam cfsqltype="cf_sql_integer" value="#form.TCA#">
            )
        </cfquery>
    </cfif>
</Cfif>  
<cfset getSb = application.conn.RunQuery('SELECT * FROM acc_sb_link')>
<cfset qGL = application.conn.RunQuery('SELECT GeneralLedgerId GLId,GLDesc FROM vw_gl_lookup')>
<br />
<cfoutput>
    <cfform name="SBLink" >
      <table width="700" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td width="229">Trading Bank Account</td>
    <td width="471"><cfselect query="qGL" display="GLDesc" value="GLId" name="TBA" selected="#getSb.TradingBankGLId#" /></td>
  </tr>
  <tr>
    <td>Withholding Tax Account</td>
    <td><cfselect name="WTA" query="qGL" value="GLId" display="GLDesc" selected="#getSB.WithholdingTaxGLId#" /></td>
  </tr>
  <tr>
    <td>Own Client Account</td>
    <td><cfselect name="OCA" query="qGL" value="GLId" display="GLDesc"  selected="#getSB.OwnClientGLId#"/></td>
  </tr>
  <tr>
    <td>SEC</td>
    <td><cfselect name="SEC" query="qGL" value="GLId" display="GLDesc"  selected="#getSB.SECGLId#"/></td>
  </tr>
  <tr>
    <td>VAT</td>
    <td><cfselect name="VAT" query="qGL" value="GLId" display="GLDesc" selected="#getSB.VATGLId#" /></td>
  </tr>
  <tr>
    <td>Contract Stamp Account</td>
    <td><cfselect name="CS" query="qGL" value="GLId" display="GLDesc" selected="#getSB.ContractStampGLId#" /></td>
  </tr>
  <tr>
    <td>Buy CSCS</td>
    <td><cfselect name="BCSCS" query="qGL" value="GLId" display="GLDesc" selected="#getSB.BuyCSCSGLId#" /></td>
  </tr>
  <tr>
    <td>Sell CSCS</td>
    <td><cfselect name="SCSCS" query="qGL" value="GLId" display="GLDesc" selected="#getSB.SellCSCSGLId#" /></td>
  </tr>
  <tr>
    <td>NSE</td>
    <td><cfselect name="NSE" query="qGL" value="GLId" display="GLDesc" selected="#getSB.NSEGLId#" /></td>
  </tr>
  <tr>
    <td>PIF</td>
    <td><cfselect name="PIF" query="qGL" value="GLId" display="GLDesc" selected="#getSB.PIFGLId#" /></td>
  </tr>
  <tr>
    <td>Interest Account</td>
    <td><cfselect name="IA" query="qGL" value="GLId" display="GLDesc" selected="#getSB.InterestGLId#" /></td>
  </tr>
  <tr>
    <td>Broker Commission Account</td>
    <td><cfselect name="BCA" query="qGL" value="GLId" display="GLDesc" selected="#getSB.BrokerCommissionGLId#" /></td>
  </tr>
  <tr>
    <td>ThirdParty Commission Account</td>
    <td><cfselect name="TCA" query="qGL" value="GLId" display="GLDesc" selected="#getSB.ThirdPartyCommissionGLId#" /></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><input type="hidden" name="sub" value="hd" /> </td>
    <td><input type="submit" name="submit" value="Update" />&nbsp;</td>
  </tr>
</table>
  
    </cfform>
</cfoutput>