<!---//--------------------------------------------------------------------
	Name:		view_vouchers.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	UPostingDated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view 
---------------------------------------------------------------------//---> 
<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="t">
<cfimport taglib="..\..\..\core\tags" prefix="v">
<!--- get the date right --->
 
<cfif not(structkeyexists(url,'param1'))> 
	<cfset url.param1 = "#year(now())#/#month(now())#/1" />
    <cfset url.param2 = "#year(now())#/#month(now())#/#DaysInMonth(url.param1)#" />
    <cfset url.qt = "ValueDate" />
</cfif> 

<cfset url.param1 = "#year(url.param1)#/#month(url.param1)#/1" />
<cfset url.param2 = "#year(url.param2)#/#month(url.param2)#/#DaysInMonth(url.param2)#" />
<cfset CBStartDate = DateFormat(DateAdd('m',-1,url.param1),'yyyy/m/d') />
<cfset CBEndDate = "#year(CBStartDate)#/#month(CBStartDate)#/#DaysInMonth(CBStartDate)#" />
 
<cfquery name="qGL" datasource="#application.dsn#" cachedwithin="#CreateTimeSpan(0,1,0,0)#">
	SELECT * FROM vw_acc_generalledger
</cfquery>

<cfquery name="qVoucher" datasource="#application.dsn#" cachedwithin="#CreateTimeSpan(0,1,0,0)#">
    SELECT 
        * 
    FROM vw_monthly_voucher 
    WHERE #url.qt# >= "#url.param1#"
</cfquery>
    
<cfset i = 0>
<cfset qMthVo = QueryNew('Id,PostingDate,GLCode,Description,CurrentDebit,CurrentCredit,OpeningCredit,OpeningDebit,ClosingCredit,ClosingDebit,ValueDate')>
<cfloop query="qGL">
	<cfquery name="qMCB" datasource="#application.dsn#" cachedwithin="#CreateTimeSpan(0,1,0,0)#">
    	SELECT 
        	SUM(Debit) Debit,
            SUM(Credit) Credit, 
            PostingDate 
        FROM vw_monthly_voucher 
        WHERE GeneralLedgerId = #GeneralLedgerId# AND 
        	#url.qt# BETWEEN "#url.param1#" AND "#url.param2#"
        Group By GeneralLedgerId
    </cfquery>
    
	<cfquery name="qMOB" datasource="#application.dsn#" cachedwithin="#CreateTimeSpan(0,1,0,0)#">
    	SELECT 
        	SUM(Credit) - SUM(Debit) Net,
            PostingDate 
        FROM vw_monthly_voucher 
        WHERE GeneralLedgerId = #GeneralLedgerId# AND 
        	#url.qt# BETWEEN "#application.acc.Start#" AND "#url.param1#"
        Group By GeneralLedgerId
    </cfquery>
    <cfparam name="date_" default="">
    <cfif qMOB.PostingDate eq "">
    	<cfset date_ = qMOB.PostingDate >
    </cfif>
    <cfif qMCB.PostingDate eq "">
    	<cfset date_ = qMCB.PostingDate>
    </cfif>
    <cfif date_ eq ''>
    	<cfset date_ = '#url.param1#'>
    </cfif>
    
    <cfset OpenC = 0>
    <cfset OpenD = 0>
    <cfif qMOB.Net gt 0>
    	<cfset OpenC = qMOB.Net>
	<cfelse>
    	<cfset OpenD = qMOB.Net>
    </cfif>
    
    <cfset ClosingC = 0>
    <cfset ClosingD = 0>
    <cfset ClosingNet = (val(qMCB.Credit) + val(OpenC)) - (abs(val(qMCB.Debit)) + abs(val(OpenD)))>
    <cfif ClosingNet gt 0>
    	<cfset ClosingC = abs(ClosingNet)>
    <cfelse>
    	<cfset ClosingD = abs(ClosingNet)>
    </cfif>
    <cfset i = i + 1>
    <cfset QueryAddRow(qMthVo)>
    <cfset QuerySetCell(qMthVo,'Id',i)>
    <cfset QuerySetCell(qMthVo,'CurrentDebit',abs(val(qMCB.Debit)))>
    <cfset QuerySetCell(qMthVo,'CurrentCredit',val(qMCB.Credit))>
	<cfset QuerySetCell(qMthVo,'OpeningCredit',val(OpenC))>
    <cfset QuerySetCell(qMthVo,'OpeningDebit',abs(val(OpenD)))>
    <cfset QuerySetCell(qMthVo,'ClosingDebit',val(ClosingD))>
    <cfset QuerySetCell(qMthVo,'ClosingCredit',val(ClosingC))>
    <cfset QuerySetCell(qMthVo,'PostingDate',date_)>
    <cfset QuerySetCell(qMthVo,'GLCode',qGL.GLcode)>
    <cfset QuerySetCell(qMthVo,'Description',qGL.Name)> 
    <cfset QuerySetCell(qMthVo,'ValueDate',date_)> 
</cfloop>

<!---<cfquery name="QueryName" dbtype="query">
	SELECT Id,OpeningCredit,OpeningDebit,CurrentCredit,CurrentDebit,ClosingCredit,ClosingDebit,PostingDate,Description,GLcode 
    FROM qMthVo 
</cfquery>--->
 
 
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td colspan="3">
   <t:GRID	GridName="Trial Balance"
                Solution = "#Solution#"
                GridKey="TrialBalance"
                DBTable = "acc_voucher"
                ReportTitle = "Trial Balance Report"
                ReportSubTitle = "For the Period Ended: #dateformat(url.param2,'d mmm. yyyy')#<br/>Opening Balance
As At #dateformat(CBEndDate,'d mmm. yyyy')#"
                DBTableView = "vw_trial_balance"
                KeyField = "Id"
                KeyFieldDesc = "Description"
                QueryCols = "GLCode,Description,OpeningDebit,OpeningCredit,CurrentDebit,CurrentCredit,ClosingDebit,ClosingCredit"
                ColTitles = "GLCode,Description,Opening Debit, Opening Credit,Current Debit,Current Credit,Closing Debit,Closing Credit"
                QueryColTypes = "string,string,money,money,money,money,money,money,money"
                QueryName ="#qMthVo#"  
                AllowDelete = "false"
                MaxRows = "#request.PageNumber#"
                ActionImageName = "" 
                RelatedLinkURLs="?bp=vouchers.add_dv,?bp=vouchers.view_dv,?bp=vouchers.view_mv,?bp=vouchers.view_pl,?bp=vouchers.view_bs"
                RelatedLinks="Add New Voucher Entry,Daily Voucher View,Monthly Balance View,Profit And Loss,Balance Sheet View"
                ActionKey = ""
                ActionToolTip = ""
                ActionLink = ""
                NonSearchableFields="ValueDate,PostingDate"
                DateSearchDDListValue="ValueDate,PostingDate"
                DateSearchDDList="Query By Value Date,Query By Posting Date" />    </td>
  </tr>
  <tr>
  <td>
<cfquery name="qData" dbtype="query">
	SELECT 
    	SUM(CurrentCredit) AS sCredit,
        SUM(CurrentDebit) AS sDebit, 
    	SUM(ClosingCredit) AS cCredit,
        SUM(ClosingDebit) AS cDebit, 
    	SUM(OpeningCredit) AS oCredit,
        SUM(OpeningDebit) AS oDebit 
    FROM GridQuery  
</cfquery> 
<!---<cfquery name="qDataa" dbtype="query">
	SELECT 
    	SUM(CurrentCredit) - SUM(CurrentDebit) AS sCredit, 
    	SUM(ClosingCredit) - SUM(ClosingDebit) AS cCredit,  
    	SUM(OpeningCredit) - SUM(OpeningDebit) AS oCredit 
    FROM GridQuery  
</cfquery>---> 
<cfset cbal = val(qData.cCredit) - val(qData.cDebit) >
<cfset obal = val(qData.oCredit) - val(qData.oDebit) > 
<cfset sbal = val(qData.sCredit) - val(qData.sDebit) > 
<v:View ViewQuery="#qData#"
    	ViewTitle = "Opening Balance"
        LabelList = "Debit,Credit,Balance"
        ColList="oDebit,oCredit,#obal#"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  />    </td>
    <td width="10%">
<v:View ViewQuery="#qData#"
    	ViewTitle = "Current Balance"
        LabelList = "Debit,Credit,Balance"
        ColList="sDebit,sCredit,#sbal#"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  /></td>
    <td width="10%">
<v:View ViewQuery="#qData#"
    	ViewTitle = "Closing Balance"
        LabelList = "Debit,Credit,Balance"
        ColList="cDebit,cCredit,#cbal#"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  /></td>
  </tr>
</table> 
