<!---//--------------------------------------------------------------------
	Name:		view_vouchers.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	UPostingDated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view 
---------------------------------------------------------------------//---> 
<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="t">
<cfimport taglib="..\..\..\core\tags" prefix="v">
<!--- get the date right --->
 	
<cfif not(structkeyexists(url,'param1'))> 
	<cfset url.param1 = "#year(now())#/#month(now())#/1" />
    <cfset url.param2 = "#year(now())#/#month(now())#/#DaysInMonth(url.param1)#" />
    <cfset url.qt = "ValueDate" />
</cfif> 

<cfset url.param1 = "#year(url.param1)#/#month(url.param1)#/1" />
<cfset url.param2 = "#year(url.param2)#/#month(url.param2)#/#DaysInMonth(url.param2)#" /> 
 
<cfquery name="qGL" datasource="#application.dsn#" cachedwithin="#CreateTimeSpan(0,1,0,0)#">
	SELECT * FROM vw_acc_generalledger
</cfquery>
<cfset i = 0>
<cfset qMthVo = QueryNew('Id,PostingDate,GLCode,Description,Credit,Debit,ValueDate,Balance')>
 
<cfloop query="qGL">
	<cfquery name="qMCB" datasource="#application.dsn#" cachedwithin="#CreateTimeSpan(0,1,0,0)#">
    	SELECT 
        	SUM(Debit) Debit,
            SUM(Credit) Credit,  
            PostingDate 
        FROM vw_monthly_voucher 
        WHERE GeneralLedgerId = #GeneralLedgerId# AND 
        	#url.qt# BETWEEN "#url.param1#" AND "#url.param2#"
        Group By GeneralLedgerId
    </cfquery> 
    
    <cfset date_ = ''> 
    <cfif qMCB.PostingDate eq "">
    	<cfset date_ = qMCB.PostingDate>
    </cfif>
    <cfif date_ eq ''>
    	<cfset date_ = '#url.param1#'>
    </cfif>
        
    <cfset i = i + 1>
    <cfset bal = val(qMCB.Debit)-val(qMCB.Credit)>
    <cfset QueryAddRow(qMthVo)>
    <cfset QuerySetCell(qMthVo,'Id',i)>
    <cfset QuerySetCell(qMthVo,'Debit',abs(val(qMCB.Debit)))>
    <cfset QuerySetCell(qMthVo,'Credit',val(qMCB.Credit))>
    <cfset QuerySetCell(qMthVo,'Balance',bal)> 
    <cfset QuerySetCell(qMthVo,'PostingDate',date_)>
    <cfset QuerySetCell(qMthVo,'GLCode',qGL.GLcode)>
    <cfset QuerySetCell(qMthVo,'Description',qGL.Name)> 
    <cfset QuerySetCell(qMthVo,'ValueDate',date_)> 
</cfloop> 
 
 
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td>
 
   <t:GRID	GridName="Monthly Balance"
                Solution = "#Solution#"
                GridKey="MonthlyBalance"
                DBTable = "acc_voucher"
                ReportTitle = "Montly Balance Report"
                ReportSubTitle = "For the Period Ended: #dateformat(url.param2,'d mmm. yyyy')#<br/>"
                DBTableView = "vw_monthly_voucher"
                KeyField = "Id"
                KeyFieldDesc = "Description"
                QueryCols = "GLCode,Description,Debit,Credit,Balance"
                ColTitles = "GLCode,Description,Debit,Credit,Balance"
                QueryColTypes = "string,string,money,money,money,money"
                QueryName ="#qMthVo#"  
                AllowDelete = "false"
                MaxRows = "#request.PageNumber#"
                ActionImageName = "" 
                RelatedLinkURLs="?bp=vouchers.add_dv,?bp=vouchers.view_dv,?bp=vouchers.view_tb,?bp=vouchers.view_ntb,?bp=vouchers.view_pl,?bp=vouchers.view_bs"
                RelatedLinks="Add New Voucher Entry,Daily Voucher View,FT Detail,FT Summary,Profit or Loss Detail,Financial Position Statement"
                ActionKey = ""
                ActionToolTip = ""
                ActionLink = ""
                NonSearchableFields="ValueDate,PostingDate"
                DateSearchDDListValue="ValueDate,PostingDate"
                DateSearchDDList="Query By Value Date,Query By Posting Date" />    </td>
  </tr>
  <tr>
  <td align="right">
  
<cfquery name="qData" dbtype="query">
	SELECT 
    	SUM(Credit-Debit) AS sBalance ,
        SUM(Credit) sCredit,
        SUM(Debit) sDebit
    FROM GridQuery  
</cfquery>    
<cfset Balance  = val(qData.sDebit) - val(qData.sCredit)>
<v:View ViewQuery="#qData#"
    	ViewTitle = "Balance"
        LabelList = "Debit,Credit,Balance"
        ColList="sDebit,sCredit,#Balance#"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  />    </td>
  </tr>
</table> 
