<!---//--------------------------------------------------------------------
	Name:		add_cert.cfm
	Author:		Arowolo Michael .A.
	Created:	07/10/2008
	Updated:	07/10/2008
	Copyright:	(c) 2008	
	Purpose:	add certificate
---------------------------------------------------------------------//---> 

<cfquery name="qUser" datasource="#application.dsn#" cachedwithin="#CreateTime(0,30,0)#">
	SELECT * FROM vw_core_user <!---WHERE BranchId = #request.BranchId#--->
</cfquery>

<cfif structkeyexists(form,'hd_cert')>
	<cfparam name="form.CSCSAccountId" default="0">
	<!--- check if the client has an owner cert --->
    <cfset sid=val(listlast(form.clientname,'|'))>
    <cfset c=application.conn.RunQuery('SELECT CertificateOwnerId FROM sbo_certificate_owner WHERE SBOClientId = #sid#')> 
     
    <cfif c.recordcount>
		<!--- have account, so do nothing --->
    <cfelse>
    	<cfquery result="qr" datasource="#application.dsn#">
        	INSERT INTO sbo_certificate_owner	(
            	DatePosted, AccreditedUserId, AuthorisedUserId, PostingUserId,
                BranchId, SBOClientId
            )
            VALUES	(
            	<cfqueryparam value="#now()#" cfsqltype="cf_sql_date">,
                <cfqueryparam value="#form.AccreditedUserId#" cfsqltype="cf_sql_integer">,
                <cfqueryparam value="#form.AuthorisedUserId#" cfsqltype="cf_sql_integer">,
                <cfqueryparam value="#request.UserId#" cfsqltype="cf_sql_integer">,
                <cfqueryparam value="#request.BranchId#" cfsqltype="cf_sql_integer">,
                <cfqueryparam value="#sid#" cfsqltype="cf_sql_integer">
            )
        </cfquery>
        <cfset c.CertificateOwnerId = qr.GENERATED_KEY>
    </cfif>
    
    <!--- ---> 
    <cfquery datasource="#application.dsn#">
        INSERT INTO sbo_certificate	(
            DateReceived, DateSent, DateReturned, DateResubmitted,
            CertificateOwnerId, CSCSAccountId, StockId, CertificateNumber,
            NameOnCertificate, Units, VerificationType, Status, Address,
            Note, RegistrarNumber
        )
        VALUES	(
            <cfqueryparam value="#form.DateReceived#" cfsqltype="cf_sql_date">,
            <cfqueryparam value="#form.DateSent#" cfsqltype="cf_sql_date">,
            <cfqueryparam value="#form.DateReturned#" cfsqltype="cf_sql_date">,
            <cfqueryparam value="#form.DateResubmitted#" cfsqltype="cf_sql_date">,
            <cfqueryparam value="#c.CertificateOwnerId#" cfsqltype="cf_sql_integer" >,
            <cfqueryparam value="#val(form.CSCSAccountId)#" cfsqltype="cf_sql_integer">,
            <cfqueryparam value="#form.StockId#" cfsqltype="cf_sql_integer">,
            <cfqueryparam value="#form.CertificateNumber#" cfsqltype="cf_sql_varchar">,
            <cfqueryparam value="#form.NameOnCertificate#" cfsqltype="cf_sql_varchar">,
            <cfqueryparam value="#form.Units#" cfsqltype="cf_sql_integer">,
            <cfqueryparam value="#form.VerificationType#" cfsqltype="cf_sql_varchar">,
            <cfqueryparam value="#form.Status#" cfsqltype="cf_sql_varchar">,
            <cfqueryparam value="#form.Address#" cfsqltype="cf_sql_varchar">,
            <cfqueryparam value="#form.Note#" cfsqltype="cf_sql_varchar">,
            <cfqueryparam value="#form.RegistrarNumber#" cfsqltype="cf_sql_varchar">                                         
        ) 
    </cfquery>
</cfif>
 
<cfoutput>
<cfform name="certificate">
<table border="0" cellspacing="4" cellpadding="4">
  <tr>
    <td valign="top">
<table width="520" border="0" cellspacing="3" cellpadding="3">
  <tr>
    <td width="163"><b>Client Name:</b></td>
    <td ><cfinput name="ClientName" style="width:230px !important;"  maxResultsDisplayed ="30" autosuggest="cfc:com.adexfe.officemod.controller.ClientCtrl.ajGetClientByAccountName({cfautosuggestvalue},'#application.dsn#')" type="text" /></td>
  </tr>
  <tr>
    <td><b>CSCS Number:</b></td>
    <td><cfselect name="CSCSAccountId" bind="cfc:com.adexfe.officemod.controller.CSCSAccountCtrl.getCSCSNumberListByName({ClientName},'#application.dsn#')"  /></td>
  </tr>
  <tr>
    <td><b>Security (Symbol):</b></td>
    <td><cfselect name="StockId" bindonload="true" bind="cfc:com.adexfe.officemod.controller.StockCtrl.ajStocks('#application.dsn#')"  /></td>
  </tr>
  <tr>
    <td><b>Name On Certificate:</b></td>
    <td><cfinput type="text" name="NameOnCertificate" bind="cfc:com.adexfe.util.bString.cfListFirst({ClientName},'|')" required="true" style="width:230px !important;" /></td>
  </tr>
  <tr>
    <td valign="top"><b>Certificate Number:</b></td>
    <td><cfinput type="text" name="CertificateNumber" required="yes"></td>
  </tr>
  <tr>
    <td valign="top"><b>Address:</b></td>
    <td><cftextarea name="Address" style="width:170px !important; height:60px !important;" bind="cfc:com.adexfe.officemod.Controller.ClientCtrl.ajGetAddressByAccDesc({ClientName},'#application.dsn#')"></cftextarea></td>
  </tr>
  <tr>
    <td><b>Units: *</b></td>
    <td><cfinput name="Units" type="text" required="yes" validate="integer"></td>
  </tr>
  <tr>
    <td><b>Registrar A/C Number:</b></td>
    <td><cfinput type="text" name="RegistrarNumber" required="yes"></td>
  </tr>
  <tr>
    <td colspan="2">
    <fieldset><legend><b>Status</b></legend>
   	<label><input name="Status" checked="checked" type="radio" value="New Deposit" />New Deposit</label>
    <label><input name="Status" value="Irregular"  type="radio" />Irregular</label>
    <label><input name="Status" value="Pending"  type="radio" />Pending</label>
    <label><input name="Status" value="Verified"  type="radio" />Verified</label> 
    </fieldset></td>
  </tr>
  <tr>
    <td colspan="2">
    <fieldset><legend><b>Verification Type</b></legend>
   	<label><input name="VerificationType"  type="radio" value="For Collateral" />For Collateral</label>
    <label><input name="VerificationType" checked="checked" value="For Depository"  type="radio" />For Depository</label>
    <label><input name="VerificationType" value="For Sale"  type="radio" />For Sale</label>
    <label><input name="VerificationType" value="Not For Sale"  type="radio" />Not For Sale</label>
    </fieldset>    </td>
  </tr>
  <tr>
    <td><b>Date Received:</b></td>
    <td><cfinput type="text" name="DateReceived" value="#dateformat(now(),'yyyy/mm/dd')#" required="yes" onfocus="return showCalendar('DateReceived', '%Y/%m/%d');" validate="date" /><img onclick="return showCalendar('DateReceived', '%Y/%m/%d');" src="#skinroot('')##request.skinname#/images/date.gif" align="absmiddle"  border="0" /></td>
  </tr>
  <tr>
    <td><b>Date Sent:</b></td>
    <td><cfinput type="text" name="DateSent" onfocus="return showCalendar('DateSent', '%Y/%m/%d');" validate="date" /><img onclick="return showCalendar('DateSent', '%Y/%m/%d');" src="#skinroot('')##request.skinname#/images/date.gif" align="absmiddle"  border="0" /></td>
  </tr>
  <tr>
    <td><b>Date Returned:</b></td>
    <td><cfinput type="text" name="DateReturned" onfocus="return showCalendar('DateReturned', '%Y/%m/%d');" validate="date" /><img onclick="return showCalendar('DateReturned', '%Y/%m/%d');" src="#skinroot('')##request.skinname#/images/date.gif" align="absmiddle"  border="0" /></td>
  </tr>
  <tr>
    <td><b>Date Re-submitted:</b></td>
    <td><cfinput type="text" name="DateResubmitted" onfocus="return showCalendar('DateResubmitted', '%Y/%m/%d');" validate="date" /><img onclick="return showCalendar('DateResubmitted', '%Y/%m/%d');" src="#skinroot('')##request.skinname#/images/date.gif" align="absmiddle"  border="0" /></td>
  </tr>
  <tr>
    <td valign="top"><b>Remarks:</b></td>
    <td><cftextarea name="Note" style="width:170px !important; height:60px !important;" ></cftextarea></td>
  </tr>
  <tr>
    <td valign="top">&nbsp;</td>
    <td><input type="hidden" name="hd_cert" value="hd_cert" /></td>
  </tr>
  <tr>
    <td valign="top">&nbsp;</td>
    <td><input type="submit" name="Submit" value="Update" /></td>
  </tr>
</table>
    </td>
    <td valign="top"><table width="200" border="0" cellspacing="2" cellpadding="2">
      <tr>
        <td nowrap="nowrap"><b>Accredited By:</b></td>
        <td><cfselect name="AccreditedUserId" query="qUser" selected="#request.AccId#" display="DisplayName" value="UserId" /></td>
      </tr>
      <tr>
        <td nowrap="nowrap"><b>Authorised By:</b></td>
        <td><cfselect name="AuthorisedUserId" query="qUser" selected="#request.AuthId#" display="DisplayName" value="UserId" /></td>
      </tr>
    </table></td>
  </tr>
</table>
</cfform> 
</cfoutput>
