<!---//--------------------------------------------------------------------
	Name:		stm.cfm
	Author:		Arowolo Michael .A.
	Created:	26/03/2008
	Updated:	26/03/2008
	Copyright:	(c) 2008	
	Purpose:	client statement report
---------------------------------------------------------------------//--->  
<style>
input {
	margin: 2px;
	padding: 2px;
	border-bottom: 1px solid #333333;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
	background-image:none;
	border-top-width: 0px;
	border-right-width: 0px;
	border-left-width: 0px;
}
</style>
<cfquery name="cl" datasource="#application.dsn#" cachedwithin="#createtimespan(0,0,30,0)#">
	SELECT CONCAT(AccountName,' | ',SBOClientId) AccountDesc FROM vw_sbo_client
</cfquery>   
<cfset cln = valuelist(cl.AccountDesc) & ",*" />
<!--- set default date --->
<cfparam name="url.param1" default="#Dateformat(now(),'yyyy')#/1/1" >
<cfparam name="url.param2" default="#Dateformat(now(),'yyyy/m/d')#"  >
<cfparam name="url.qt" default="TransactionDate">

<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="cert">
<cfparam name="url.id3" type="string" default="" />
<cfparam name="url.id2" type="string" default="0" />
<!--- alter date for b/f --->
<cfif structkeyexists(url,'param1') >
	<cfset nparam1 = dateformat(DateAdd('d',0,url.param1),'yyyy/mm/dd') />
</cfif>
<!------>
<cfoutput>
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  
  <tr>
    <td colspan="2" valign="top"><cfform name="f">
      <table width="100%" border="0" cellspacing="2" cellpadding="2">
      <tr>
        <td width="50%" valign="top">NAME:
          <cfinput type="text" name="clientName" value="#url.id3#" size="38" label="Name" maxResultsDisplayed ="30" autosuggest="#cln#" ondblclick="if(this.value != ''){document.location.href='?bp=#url.bp#&id2=#url.id2#&id3=' + this.value;}" /></td>
        <td>CSCS ACCOUNT:<cfinput type="text" name="cscsNumber" value="#url.id2#" size="18" label="CSCS Account" bind="cfc:com.adexfe.officemod.Controller.CSCSAccountCtrl.getCSCSNumberListByAccDesc({clientName},'#application.dsn#')" ondblclick="if(this.value != ''){document.location.href='?bp=#url.bp#&id3=' + document.getElementById('clientName').value + '&id2=' + this.value;}" />
          </td>
      </tr>
      <tr>
        <td valign="top"> 
          ADDRESS:<br />
<span style="width:137px" id="accadd" class="pint_text_b"></span><cfdiv tagname="accadd"  bind="cfc:com.adexfe.officemod.controller.ClientCtrl.getAddressByAccDesc({clientName},'#application.dsn#')" /> </td>
        <td valign="top">ACCOUNT NO.:<span class="print_text_b" style="text-decoration:underline" id="accid"></span>
          <cfdiv tagname="accid"  bind="cfc:com.adexfe.officemod.controller.ClientCtrl.getAccountIdByAccDesc({clientName},'#application.dsn#')" /></td>
      </tr>
    </table>
    </cfform> </td>
    </tr>
  <tr>
    <td colspan="2" valign="top">
<cfswitch expression="#url.id2#">
	<cfcase value="0">
		<cfset SQLStatement = application.conn.RunQuery('
		SELECT * FROM vw_sbo_clientaccount WHERE SBOClientId = #val(trim(listLast(url.id3,'|')))#')>
    </cfcase>
    <cfdefaultcase>
    	<cfset wclause = "" />
    	<cfloop list="#url.id2#" index="cscsno">
        	<cfset wclause = ListAppend(wclause,'CSCSNumber = "#cscsno#"') />
        </cfloop>
        <cfset wclause = replacenocase(wclause,',',' OR ','all') /> 
    	<cfset SQLStatement = application.conn.RunQuery('
		SELECT * FROM vw_sbo_clientaccount WHERE SBOClientId = #val(trim(listLast(url.id3,'|')))# AND (#wclause#) ' ) />
    </cfdefaultcase>
</cfswitch>
<!--- generate balance --->
<cfset qPos = 0 />
<cfset bal = 0 />
<cfset arrbal = ArrayNew(1) /><!--- this is like an opening bal --->
 
<cfloop query="SQLStatement">
	<cfset qPos = qPos + 1 />
    <cfset arrayAppend(arrbal,0) />
    <cfif qpos eq 1>
    	<cfset arrbal[qPos] =arrbal[qPos] - (Debit-Credit)  />
    <cfelse>
    	<cfset arrbal[qPos] = arrbal[qPos-1]-(Debit-Credit)  /> 
    </cfif>
</cfloop>
<cfset QueryAddColumn(SQLStatement,'Balance','double',arrbal) /> 
<cfset oldSQLStatement = Duplicate(SQLStatement) />
<!--- fix past rec --->
<cfif structkeyexists(url,"param1") >
	
    <cfquery name="d" dbtype="query">
    	SELECT SUM(Credit) AS sCredit,SUM(Debit) AS sDebit, SUM(Credit) - SUM(Debit) AS dBalance FROM SQLStatement 
        WHERE #url.qt# BETWEEN 
        <cfqueryparam value="1/1/1900" cfsqltype="cf_sql_date" /> AND 
        <cfqueryparam value="#url.param2#" cfsqltype="cf_sql_date" />
    </cfquery> 
    <cfset i = 0 >  
    
    <cfset QueryAddRow(SQLStatement)>
	<cfset QuerySetCell(SQLStatement,'TransactionDate',nparam1) >
    <cfset QuerySetCell(SQLStatement,'Credit',d.sCredit) >
    <cfset QuerySetCell(SQLStatement,'Debit',d.sDebit) >
    <cfset QuerySetCell(SQLStatement,'Balance',d.dBalance ) >
    <cfset QuerySetCell(SQLStatement,'Description','Balance Brought Forward' ) >
    <cfset QuerySetCell(SQLStatement,'Source','(B/F)' ) >
    
 <cfset url.param1 = dateformat(DateAdd('d',0,url.param1),'yyyy/mm/dd') />
</cfif>
<!--- ---> 
<cfquery name="SQLStatement" dbtype="query">
	SELECT *  FROM SQLStatement ORDER BY TransactionDate,Source
</cfquery>
<cert:GRID	GridName="Statement of Account"
			Solution = "#Solution#"
			DBTable = "sbo_client_account"
            GridKey = "ClientStatementOfAccount"
            DBTableView = "vw_clientaccount_client"
			ColTitles = "Date,Description,Refrence,Debit,Credit,Balance"
			KeyField = "ClientAccountId"
			KeyFieldDesc = "Description"
			QueryCols = "TransactionDate,Description,Source,Debit,Credit,Balance"
			QueryColTypes = "date:d-m-y,string,string,money,money,money"
			Query ="#SQLStatement#"  
			AllowDelete = "false"
			MaxRows = "#request.PageNumber#" 
            DateSearchDDList="Query By Transaction Date"
            DateSearchDDListValue="TransactionDate"
            ShowRefresh = "false"  />    </td>
    </tr>
  <tr>
    <td align="center" valign="top">&nbsp;</td>
    <td align="center" valign="top"> 
<cfquery name="GridQuery" dbtype="query">
	SELECT *  FROM oldSQLStatement
    WHERE TransactionDate <= <cfqueryparam cfsqltype="cf_sql_date" value="#url.param2#" >
</cfquery> 
<cfinclude template="../../ACC/includes/balance.cfm" />    
    </td>
  </tr>
</table> 

</cfoutput>
