<!--- Query the database for all Artists names and their associated
         IDs (the primary key value) --->
    <cfquery name="GetJob" datasource="#application.dsn#">
             SELECT JobbingBookId, TransactionType, JobDate, ClientName, CSCSNumber, Units, MaxPriceLimit
             FROM sbo_jobbing_book where ClientName <> ' ' 
             ORDER BY JobDate DESC
    </cfquery>
<!--- create menu link --->
<!--- 
<cfoutput>
<cfparam name="RelatedLinkURLs" default="add_jb,view_jb,view_bo,view_so,add_od">
<cfparam name="RelatedLinks" default="Add New Job,View Jobbing,View Buy Order,View Sell Order,Add Jobbing Overdraft">
<div class="Link">
	<cfset ipos = 0>
	<ul>
		<cfloop list="#RelatedLinks#" index="getLink">
			<cfset iPos=iPos+1>
			<cfset getLinkURL='?bp=jobbing.' & trim(Listgetat(RelatedLinkURLs,iPos))>
        	<li><a href="#getLinkURL#">#getLink#</a></li>
        </cfloop>
    </ul>
</div>
<p/>
</cfoutput>
--->
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
   <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
       <head>
           <title>Jobbing Book Management</title>
       </head>
       <body>
           <table bgcolor="khaki" width="700" border="1">
               <tr>
                   <th>Job ID</th>
                   <th>Job Type</th>
                   <th>Date Jobbed</th>
                   <th>Name</th>
                   <th>CSCS Number</th>
                   <th>Jobbed Units</th>
                   <th>Price Limit</th>
               </tr>
   <!--- Output a table containing each Artist's name. Create dynamic
            links to edit and delete the artist. Pass the ID
            associated with each record in the URL of the link --->
               <cfoutput query="GetJob">
                <cfset jDate = #dateFormat(GetJob.JobDate,'yyyy/mm/dd')# >
                <tr bgcolor="skyblue">
                   <td>#JobbingBookId#</td>
                   <td>#TransactionType#</td>
                   <td>#jDate#</td>
                   <td>#ClientName#</td>
                   <td>#CSCSNumber#</td>
                   <td align="right">#LSNumberFormat(Units,"_________,__")#</td>
                   <td align="right">#MaxPriceLimit#</td>
                   <td align="left"><a href="../sbo/jobbing/update_jb.cfm?JobbingBookId=#JobbingBookId#">Update</a> | 
                   <a href="../sbo/jobbing/delete_jb.cfm?JobbingBookId=#JobbingBookId#">Delete</a></td>
                </tr>
               </cfoutput>
                <tr>
                   <td></td>
                   <td><a href="../sbo/jobbing/add_jb.cfm"><em>Back To Jobbing</em></a></td>
                   <td> </td>
                   <td> </td>
                </tr>
           </table>
       </body>
   </html>

