<!---//--------------------------------------------------------------------
	Name:		view_gl.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	Updated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view 
---------------------------------------------------------------------//---> 
<!--- by default this grid should be base on the current date in the db --->


<!--- set default date --->

<cfsetting requesttimeout="9999999">

<cfset allot = application.conn.RunQuery('SELECT MAX(TransactionDate) currentDate FROM vw_sbo_allotment')>

<cfif allot.recordCount gt 0 >
	<cfset currentDate = dateformat(allot.CurrentDate,'yyyy/m/d')>  
	<cfparam name="url.qt" default="TransactionDate">
<cfelse>
	<cfset currentDate = dateformat(now(),'yyyy/m/d')>  
	<cfparam name="url.qt" default="currentDate">
</cfif>

<cfset currentDate = dateformat(now(),'yyyy/m/d')>
<cfparam name="Alldate"  default="#Dateformat(currentDate,'yyyy/mm')#/1" > 
<cfparam name="url.param1" default="#currentDate#">
<cfparam name="url.param2" default="#currentDate#">
<cfset Alldate = #DateFormat(DateAdd("m",-2,Alldate))# >


<!---
<cfset sql = 
'select alt.AllotmentId AS AllotmentId,alt.CSCSAccountId AS CSCSAccountId,alt.Commission AS Commission,alt.SEC AS SEC,alt.ContractStamp AS ContractStamp,alt.VAT AS VAT,alt.StockId AS StockId,(alt.BuyCSCS + alt.BuyCSCSVAT) AS Alert,(alt.SellCSCS + alt.SellCSCSVAT) AS CSCSCharges,stk.Symbol AS StockSymbol,cscsac.CSCSNumber AS ClientCSCSNumber,right(scl.AccountId,7) AS AccountId,(alt.NSE + alt.NSEVAT) AS NSECharges,alt.NetValue AS NetValue,alt.BuyCSCS AS BuyCSCS,alt.SellCSCS AS SellCSCS,alt.NSE AS NSE,alt.NASDCharge AS NASDCharge,alt.SellCSCSVAT AS SellCSCSVAT,alt.BuyCSCSVAT AS BuyCSCSVAT,alt.Units AS Units,alt.UnitPrice AS UnitPrice,alt.TotalPrice AS TotalPrice,alt.TransactionDate AS TransactionDate,alt.NSEVAT AS NSEVAT,alt.TicketId AS TicketId,alt.Type AS Type,scl.AccountName AS AccountName,cscsac.SBOClientId AS SBOClientId,alt.TypeDescription AS TypeDescription,scl.ClientId AS ClientId from (((sbo_allotment alt left join core_stock stk on((stk.StockId = alt.StockId))) left join sbo_cscs_account cscsac on((alt.CSCSAccountId = cscsac.CSCSAccountId))) join sbo_client scl on((cscsac.SBOClientId = scl.SBOClientId))) where alt.Transactiondate between "#Alldate#" and "#url.param2#" group by alt.AllotmentId, alt.CSCSAccountId, alt.Commission, alt.SEC, alt.ContractStamp, alt.VAT, alt.StockId, stk.Symbol, cscsac.CSCSNumber, alt.NetValue, alt.BuyCSCS,alt.SellCSCS,alt.NSE,alt.SellCSCSVAT, alt.BuyCSCSVAT, alt.Units,alt.UnitPrice,alt.TotalPrice,alt.TransactionDate,alt.NSEVAT,alt.TicketId,alt.Type,scl.AccountName,cscsac.SBOClientId,alt.TypeDescription,scl.ClientId ' > --->

<!---            QuerySQLStatement="#sql#"  --->


<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="">
<cfimport taglib="..\..\..\core\tags" prefix="nse_v">

<!---<cfset queryname = application.conn.RunQuery(sql)> 
QueryName = "#queryname#" --->

<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td colspan="4">
<grid	GridName="Allotment Summary"
			Solution = "#Solution#"
            Icon="alt.gif"
            GridKey = "SBO:Allotment"
			DBTable = "sbo_allotment"
            DBTableView = "vw_sbo_allotment"
			ColTitles = "Ticket,Security,CSCS No.,A/C Name,A/C No,Units,Price,Total,Comm.,SEC,Stamp,VAT,NSE Charges,NASD,Alert,CSCS Charges,Net Value"
			KeyField = "AllotmentId"
			KeyFieldDesc = "TicketId"
			QueryCols = "TicketId,StockSymbol,ClientCSCSNumber,AccountName,AccountId,Units,UnitPrice,TotalPrice,Commission,SEC,ContractStamp,VAT,NSECharges,NASDCharge,AlertCharges,SellCSCSFee,NetValue"
			QueryColTypes = "string,string,string,string,string,integer,money,money,money,money,money,money,money,money,money,money,money"
            SQLStatement ='SELECT * FROM vw_sbo_allotment' 
            
			AllowDelete = "false"
			MaxRows = "500"
            SearchableFields = "Type"
            SearchableName= "Transaction Type"
            DeleteImageName=""
			ActionImageName ="" 
			RelatedLinkURLs="?bp=nse_trade.add_mt,?bp=nse_trade.add_tl,?bp=nse_trade.add_tl_cscs_nasd,?bp=nse_trade.view_nt,?bp=nse_trade.view_sa&param1=#url.param1#&param2=#url.param2#,?bp=nse_trade.view_ba&param1=#url.param1#&param2=#url.param2#"
			RelatedLinks="Manual NSE Trade,Upload NSE Trade,CSCS NASD Trade,NSE Trade History,Sold Allotment Summary,Bought Allotment Summary"
            ActionType=""
			ActionKey = ""
			ActionToolTip = ""
			ActionLink = "" 
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"
            NonSearchableFields = "TransactionDate" />    </td>
  </tr>
  
  <tr>     
   <cfquery name="qSummary" dbtype="query">
    	SELECT 
        	SUM(NetValue) AS sNetValue,
            SUM(Sec) AS sSec,
            SUM(ContractStamp) AS sContractStamp, 
            SUM(Commission) AS sCommission,
            SUM(BuyCSCS + BuyCSCSVAT) AS sBuyCSCS, 
            SUM(SellCSCS + SellCSCSVAT) AS sSellCSCS, 
            SUM(NSE + NSEVAT) AS sNSE,
            SUM(VAT) AS sVAT,
            SUM(TotalPrice) AS sTotalPrice
        FROM GridQuery
    </cfquery>
<!---  	<cfquery name="qCSCS" dbtype="query">
    	SELECT COUNT(CSCSAccountId) AS c
        FROM GridQuery WHERE CSCSAccountId = 0
    </cfquery>
  	<cfquery name="qStock" dbtype="query">
    	SELECT COUNT(StockId) AS c
        FROM GridQuery WHERE StockId = 0
    </cfquery>--->
<!---  	<cfquery name="qPend" dbtype="query">
    	SELECT COUNT(Status) AS c
        FROM GridQuery WHERE Status = 'pending'
    </cfquery>---> 
<!---    <cfset qData = QueryNew("StockCount,CSCSCount,PendingCount") />
    <cfset QueryAddRow(qData,1) />
    <cfset QuerySetCell(qData,"StockCount",qStock.c) />
    <cfset QuerySetCell(qData,"CSCSCount",qCSCS.c) />--->
    <!---<cfset QuerySetCell(qData,"PendingCount",qPend.c) />--->
    <td width="25%" valign="top" > 
</td>
    <td width="25%" valign="top"> <!---<nse_v:View ViewQuery="#qData#"
    	ViewTitle = "Problem Report"
        LabelList = "Number of New Clients,Number of New Stock(s),Pending Allotment"
        ColList="CSCSCount,StockCount,PendingCount"
        ColFormatList = "integer"
        ViewAlign = "right"  /> --->   </td>
    <td  valign="top">
    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary (Total Fee)"
        LabelList = "VAT Charges,NSE,Commission,Sell CSCS"
        ColList="sVAT,sNSE,sCommission,sSellCSCS"
        ColFormatList = "money,money,money,money"
        ViewAlign = "right"  /> </td>
    <td  valign="top">    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary (Total Fee)"
        LabelList = "Net Value,SEC,Contract Stamp,Buy CSCS,Considiration"
        ColList="sNetValue,sSec,sContractStamp,sBuyCSCS,sTotalPrice"
        ColFormatList = "money,money,money,money,money"
        ViewAlign = "right"
        
    /></td>
  </tr>

</table>




