<!---//--------------------------------------------------------------------
	Name:		view_gl.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	Updated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view 
---------------------------------------------------------------------//---> 
<!--- by default this grid should be base on the current date in the db --->
<cfif structkeyexists(url,'status')>
	<cfset st = "pending" />
	<cfif url.status eq "pending">
    	<cfset st = "ok"/>
    </cfif>
	<cfset application.conn.RunQuery('UPDATE sbo_allotment SET Status="#st#" WHERE AllotmentId=#url.id# AND Type = "2"') />
</cfif> 
<!--- set default date --->
<cfset allot = application.conn.RunQuery('SELECT MAX(TransactionDate) currentDate FROM sbo_allotment')>
<cfset currentDate = dateformat(allot.CurrentDate,'yyyy/m/d')>  
<cfparam name="url.qt" default="TransactionDate">
<cfparam name="url.param1" default="#currentDate#">
<cfparam name="url.param2" default="#currentDate#">

<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="">
<cfimport taglib="..\..\..\core\tags" prefix="nse_v">
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td colspan="4">
<grid	GridName="Allotment Summary"
			Solution = "#Solution#"
            Icon="alt.gif"
            GridKey = "SBO:Allotment"
			DBTable = "sbo_allotment"
            DBTableView = "vw_sbo_allotment"
			ColTitles = "Date,Ticket,Security,CSCS No.,A/C Name,A/C No,Units,Price,Total,Comm.,SEC,Stamp,VAT,NSE Charges,CSCS Charges,Net Value"
			KeyField = "AllotmentId"
			KeyFieldDesc = "TicketId"
			QueryCols = "TransactionDate,TicketId,StockSymbol,ClientCSCSNumber,AccountName,AccountId,Units,UnitPrice,TotalPrice,Commission,SEC,ContractStamp,VAT,NSECharges,CSCSCharges,NetValue"
			QueryColTypes = "date:d-m-y,string,string,string,string,string,integer,money,money,money,money,money,money,money,money,money"
			SQLStatement ='SELECT * FROM vw_sbo_allotment WHERE Type = 2 and ((BranchId = #request.BranchId#) or (BranchId = 0)) '  
			AllowDelete = "false"
			MaxRows = "500"
            SearchableFields = ""
            SearchableName= ""
            DeleteImageName="delete5.gif"
			ActionImageName ="[Status].gif,flag.gif,edit_child3.gif" 
			RelatedLinkURLs="?bp=nse_trade.add_tl,?bp=nse_trade.view_nt "
			RelatedLinks="Upload NSE Trade,NSE Trade History "
            ActionType="popup2"
			ActionKey = "View Error Description,Change Alloment Status to Ok to process Contract Note,Edit Allotment Record"
			ActionToolTip = "[ErrorDescription],Change Status to Ok,Edit Entry for KeyFieldDesc"
			ActionLink = "../../core/window/popup.cfm?page=#Solution#/nse_trade/view_p,?bp=#url.bp#&pk=KeyField&status=[Status],?bp=nse_trade.edit_alt" 
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"
            NonSearchableFields = "TransactionDate" />    </td>
  </tr>
  <tr>     
  <cfquery name="qSummary" dbtype="query">
    	SELECT 
        	SUM(NetValue) AS sNetValue,
            SUM(Sec) AS sSec,
            SUM(ContractStamp) AS sContractStamp, 
            SUM(Commission) AS sCommission,
            SUM(BuyCSCS) AS sBuyCSCS, 
            SUM(SellCSCS) AS sSellCSCS, 
            SUM(NSE) AS sNSE,
            SUM(VAT) AS sVAT
        FROM GridQuery
    </cfquery>
  	<cfquery name="qCSCS" dbtype="query">
    	SELECT COUNT(CSCSAccountId) AS c
        FROM GridQuery WHERE CSCSAccountId = 0
    </cfquery>
  	<cfquery name="qStock" dbtype="query">
    	SELECT COUNT(StockId) AS c
        FROM GridQuery WHERE StockId = 0
    </cfquery>
  	<cfquery name="qPend" dbtype="query">
    	SELECT COUNT(Status) AS c
        FROM GridQuery WHERE Status = 'pending'
    </cfquery> 
    <cfset qData = QueryNew("StockCount,CSCSCount,PendingCount") />
    <cfset QueryAddRow(qData,1) />
    <cfset QuerySetCell(qData,"StockCount",qStock.c) />
    <cfset QuerySetCell(qData,"CSCSCount",qCSCS.c) />
    <cfset QuerySetCell(qData,"PendingCount",qPend.c) />
    <td width="25%" valign="top" >
    <form name="cn" class="FormBotton">
   	  <input type="button" name="generateCN" value="Generate Contrat Note" ondblclick="document.location.href='?bp=nse_trade.do_cn';" />
     </form>   
</td>
    <td width="25%" valign="top"> <nse_v:View ViewQuery="#qData#"
    	ViewTitle = "Problem Report"
        LabelList = "Number of New Clients,Number of New Stock(s),Pending Allotment"
        ColList="CSCSCount,StockCount,PendingCount"
        ColFormatList = "integer"
        ViewAlign = "right"  />    </td>
    <td  valign="top">
    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary (Total Fee)"
        LabelList = "VAT,NSE,Commission,Sell CSCS"
        ColList="sVAT,sNSE,sCommission,sSellCSCS"
        ColFormatList = "money,money,money,money"
        ViewAlign = "right"  /> </td>
    <td  valign="top">    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary (Total Fee)"
        LabelList = "Net Value,SEC,Contract Stamp,Buy CSCS"
        ColList="sNetValue,sSec,sContractStamp,sBuyCSCS"
        ColFormatList = "money,money,money,money"
        ViewAlign = "right"
        
    /></td>
  </tr>
</table>




