<!---//--------------------------------------------------------------------
	Name:		view_se.cfm
	Author:		Arowolo Michael .A.
	Created:	11/11/2008
	Updated:	11/11/2008
	Copyright:	(c) 2008	
	Purpose:	view settlement
---------------------------------------------------------------------//--->  
<cfparam name="url.qt" default="TransactionDate">
<cfset yyyymm = "#Year(now())#/#month(now())#">
<cfparam name="url.param1" default="#yyyymm#/1">
<cfparam name="url.param2" default="#yyyymm#/#DaysInMonth(now())#">

<cfset QueryName = application.conn.RunQuery("SELECT * FROM vw_sbo_allotment WHERE (Type = 1) or (Type = 2) and ((BranchId = #request.BranchId#) or (BranchId = 0) or (BranchId is NULL) ) ")>
<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="">
<cfimport taglib="..\..\..\core\tags" prefix="nse_v">
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td colspan="4">
<grid	GridName="Trade ALERT (Buy CSCS) Settlement"
			Solution = "#Solution#"
            Icon="alt.gif"
            GridKey = "SBO:BuyCSCS"
			DBTable = "sbo_allotment"
            DBTableView = "vw_sbo_allotment"
			ColTitles = "Date,Ticket,Security,CSCS No.,Units,Price,Total,Buy CSCS,Buy CSCS VAT"
			KeyField = "AllotmentId"
			KeyFieldDesc = "TicketId"
			QueryCols = "TransactionDate,TicketId,StockSymbol,ClientCSCSNumber,Units,UnitPrice,TotalPrice,BuyCSCS,BuyCSCSVAT"
			QueryColTypes = "date:d-m-y,string,string,string,integer,money,money,money,money,money,money"
			QueryName ="#QueryName#"  
			AllowDelete = "false"
			MaxRows = "100"
            SearchableFields = "Type"
            SearchableName= "Transaction Type"
            DeleteImageName=""
			ActionImageName ="" 
			RelatedLinkURLs="?bp=settlement.view_sec&param1=#url.param1#&param2=#url.param2#,?bp=settlement.view_nse&param1=#url.param1#&param2=#url.param2#,?bp=settlement.view_s_cscs&param1=#url.param1#&param2=#url.param2#,?bp=settlement.view_comm&param1=#url.param1#&param2=#url.param2#,?bp=settlement.view_cs&param1=#url.param1#&param2=#url.param2#"
			RelatedLinks="SEC,NSE,Sell CSCS,Commission,Contract Stamp"
            ActionType=""
			ActionKey = ""
			ActionToolTip = ""
			ActionLink = "" 
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"
            NonSearchableFields = "TransactionDate" />    </td>
  </tr>
  <tr>     
  <cfquery name="qSummary" dbtype="query">
    	SELECT     
            SUM(BuyCSCS) AS sBuyCSCS, 
            SUM(BuyCSCSVAT) AS sBuyCSCSVAT,
            SUM(BuyCSCS+BuyCSCSVAT) AS sCSCSCharges
        FROM GridQuery
    </cfquery> 
    <td width="25%" valign="top" > 
</td>
    <td width="25%" valign="top">    </td>
    <td  valign="top">  </td>
    <td  valign="top">    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary"
        LabelList = "Buy CSCS,Buy CSCS VAT,Total Trade Alert Charges"
        ColList="sBuyCSCS,sBuyCSCSVAT,sCSCSCharges"
        ColFormatList = "money,money,money"
        ViewAlign = "right"
        
    /></td>
  </tr>
</table>




