<cfsetting requesttimeout="999999999"> 
<cfset application.LatestVersion = createobject('webservice','#WSRoot()#officemod/ws/update.cfc?wsdl').GetLatestVersion()>

<!--- loop through available updates --->
<cfset qAvUpdate = application.conn.RunQuery('SELECT * FROM core_version WHERE Installed = "false" ORDER BY Number ASC')>
<cfif not qAvUpdate.RecordCount>
	<h2>NOTHING TO INSTALL ... </h2>
    Please run <a href="../../update.cfm" target="_blank">update</a>
</cfif>
<cfoutput query="qAvUpdate">

	<cfset updateName = "officemod-v#Number#.zip">   
    
	<ul>
		<li style="font-weight:bold; color:##699">Installing Officemod Version #Number# ... </li>
    	<ul>
    	<!--- unzip file and install --->
    	<cfzip action="list" name="qZippedFile" file="#ApplicationRoot('')#update\#updateName#" recurse="yes" showdirectory="yes" /> 
    	<li style="color:##84482F">reading <img src="#skinroot()##request.skinname#/images/zip.gif" align="absmiddle"  hspace="2"/>#updateName# ...</li>
        <ul>
        	<cfloop query="qZippedFile">
            <li style="font-size:12px;">#qZippedFile.Directory#/#qZippedFile.Name# - #Numberformat(qZippedFile.Size/1024,'_,___.__')# KB ... - <span style="color:green;">installed</span></li><cfflush >
          </cfloop>  
         
    <cfzip action="unzip"  destination="#ApplicationRoot('')#" overwrite="yes" recurse="yes" 
        file="#ApplicationRoot('')#update\#updateName#" /> 
    <!--- check for sql file --->
    <cfset sqlfile = "#ApplicationRoot('')#\install-v#Number#.sql">
    <cfif FileExists(sqlfile)>
    	<!--- run sql file ---> 
        <cffile action="read" file="#sqlfile#" variable="sqldata">
        <cfset sqldata = replacenocase(sqldata,"`#application.name#`",'','all')> 
        <cfloop list="#sqldata#" delimiters=";" index="sqlstm"> 
        	<cfif len(trim(sqlstm))>
            	<cfset sqlstm=trim(replace(sqlstm,"'",'"','all'))>
<!---                <cfset sqlstm=replace(sqlstm,'""','"','all')>
                <cfif left(sqlstm,6) eq 'create' or left(sqlstm,5) eq 'alter'>
                	<cfset sqlstm=replace(sqlstm,'/',' ','all')>
                </cfif>--->
                <cfquery datasource="#application.dsn#">
                    #sqlstm#
                </cfquery>
                <li style="color:blue;font-size:12px;" >Running sql script <i>#left(sqlstm,50)#</i>... ok</li>
            </cfif>
            <cfflush>
        </cfloop>  
        <cffile action="delete" file="#sqlfile#">
    </cfif>
    <!--- update system version --->
    <cfquery datasource="#application.dsn#">
    	UPDATE core_version SET installed = "true" WHERE VersionId = #qAvUpdate.VersionId#
    </cfquery>
    <cfset application.CurrentVersion = qAvUpdate.Number>
    <!--- delete update ziped file --->
    <cffile action="delete" file="#ApplicationRoot('')#update/#updateName#" >
</ul>
        <!--- unzip file --->
        <li style="color:##84482F"><img src="#skinroot()##request.skinname#/images/zip.gif" align="absmiddle"  hspace="2"/>#updateName# was installed successfuly</li> 
    </ul> 
    </ul>  
</cfoutput>