<cfcomponent hint="Query Functions">
	<cffunction name="init" returntype="Connection">
    	<cfargument name="dsn" required="yes">
        
        <cfset this.dsn = arguments.dsn>
        
    	<cfreturn this>
    </cffunction>
    
	<cffunction name="RunQuery" description="Connects directly to a mySQL Server and processes SQL" returntype="any">
		<cfargument name="SQL_stm" required="yes"> 
        <cfargument name="dsn" required="no" default="#this.dsn#"> 
        
        <cfset sql = trim(arguments.SQL_stm) />
        <cfif len(sql) >
            <cfquery name="qtemp" datasource="#arguments.dsn#">
                #sql#
            </cfquery> 
            <cfif isdefined("qtemp")> 
                <cfreturn qtemp />
            </cfif>
         </cfif>
		</cffunction>
</cfcomponent>