<CFCOMPONENT displayname="Login users">
	<CFFUNCTION name="LoginUser" returntype="string" access="public" output="false">
		<CFARGUMENT name="UserName" type="string" required="yes">
		<CFARGUMENT name="Password" type="string" required="yes">
		<CFARGUMENT name="RedirectURL" type="string" required="yes" default="">
		<CFINCLUDE template="includes/inc_query.cfm">
		<CFSET msg="Wrong username or password.">
		<CFSET preSQL=sql_users & ' WHERE u.UserName="#UserName#" AND u.Password = "#Password#"'>
		<CFSET getLoginInfo = application.conn.RunQuery(preSQL)>
		
		<CFIF getLoginInfo.RecordCount eq 1>
			<CFLOCK scope="session" timeout="30" type="exclusive">
				<CFSET session.IsLogIn = true>
				<CFSET session.AppRole = getLoginInfo.Applications>
				<CFSET session.PageRole = getLoginInfo.Pages>
				<CFSET session.username = getLoginInfo.UserName> 
				<CFSET session.UserID = getLoginInfo.UserID>
				<CFSET session.DisplayName = getLoginInfo.Surname & " " & getLoginInfo.OtherNames>
				<CFSET session.PageNumber = getLoginInfo.PageNumber>   
			</CFLOCK>
			<CFLOCATION addtoken="no" url="#RedirectURL#">
		<CFELSE>
			
		</CFIF>	
		<CFRETURN msg>	
	</CFFUNCTION>
	
	<CFFUNCTION name="Encrypt_String" hint="Encrypt a string" output="false" returntype="string">
		<CFARGUMENT name="String_to_Encrypt" required="yes">
		<CFSCRIPT>
			ens=ToBase64(String_to_Encrypt);
		</CFSCRIPT>
		<CFRETURN ens>
	</CFFUNCTION>
	
	
	<CFFUNCTION name="Decrypt_String" hint="Decrypt a string" output="false" returntype="string">
		<CFARGUMENT name="String_to_Decrypt" required="yes">
		<CFSCRIPT>
			getES=ToBinary(String_to_Decrypt);
			getES=ToString(getES);
		</CFSCRIPT>
		<CFRETURN getES>
	</CFFUNCTION>	
</CFCOMPONENT>
