<!---//--------------------------------------------------------------------
	Name:		Login.cfm
	Author:		Arowolo Michael .A.
	Created:	13/08/2007
	Updated:	13/08/2007
	Copyright:	(c) 2008	
	Purpose:	To Log a User into the Application
	Code-Type:  Tag
	
	use: [Parameter-Name][data-type][requred][required-Parameter-Name][default-value]	-	[description][example] 
	
	Dependencies: [Dependency-Name][Type]				-	[Description]
	application.conn.RunQuery(SQL statement)[function]	-	Execuit SQL Statements
	session.userid[data-type][integer]					-	holds the id of the current user
---------------------------------------------------------------------//--->
<CFIF ThisTag.ExecutionMode EQ "Start">
	<CFPARAM name="Attributes.UserName" type="string">
	<CFPARAM name="Attributes.Password" type="string">
	<CFPARAM name="Attributes.RedirectURL" type="string">
	<CFPARAM name="Attributes.MessageOutput" type="variableName">
	 
	<CFIMPORT taglib="\" prefix="core"> 
	<CFSET msg="Wrong username or password."> 
	<CFSET preSQL=application.sql.getUser_Role() & ' WHERE u.UserName="#Attributes.UserName#"'>
	<CFSET getLoginInfo = application.conn.RunQuery(preSQL)>
	<CFIF getLoginInfo.RecordCount eq 1 AND Decrypt(getLoginInfo.Password,getLoginInfo.PasswordKey,'AES','Hex') EQ Attributes.Password>
		<CFLOCK scope="session" timeout="140" type="exclusive">
			<CFSET session.IsLogIn = true>
			<CFSET session.AppRole = getLoginInfo.Applications>
			<CFSET session.PageRole = getLoginInfo.Pages>
			<CFSET session.username = getLoginInfo.UserName>
			<CFSET session.UserID = getLoginInfo.UserID>
			<CFSET session.DisplayName = getLoginInfo.Surname & " " & getLoginInfo.OtherNames>
			<CFSET session.PageNumber = getLoginInfo.PageNumber>
			<CFSET session.Show3D = getLoginInfo.Enable3DChart>
			<CFSET session.MarkerStyle = getLoginInfo.MarkerStyle>
			<CFSET session.ChartType = getLoginInfo.DefaultChartType>
			<CFSET session.PaintStyle = getLoginInfo.PaintStyle>
			<CFSET session.IsAdvanceSerach = getLoginInfo.IsAdvanceSerach>  
		</CFLOCK>
		<core:LogEvent 	SolutionName = "OfficeMod." 
							LogTitle = "Login Approved" LogType = "Information" 
							LogDescription = "User #getLoginInfo.UserName# Logged in to the System successfuly" />
		<CFLOCK scope="session" timeout="30" type="readonly">
			<CFIF structkeyexists(session,'LastUserPage') AND session.LastUserPage NEQ ""
					AND right(session.LastUserPage,1) neq '/'>
				<CFLOCATION addtoken="no" url="#session.LastUserPage#">
				<CFELSE>
				<CFLOCATION addtoken="no" url="#Attributes.RedirectURL#">
			</CFIF>
		</CFLOCK>
		<CFELSE>
		<core:LogEvent 	SolutionName = "OfficeMod." 
							LogTitle = "Login Failed" LogType = "Information" 
							LogDescription = "Login Failed for User '#Attributes.UserName#' Logged." />
	</CFIF>
	<CFELSE>
	<CFSET Caller[Attributes.MessageOutput] = msg>
	<!--- end the tag --->
</CFIF>
