<!---//--------------------------------------------------------------------
	Name:		View.cfm
	Author:		Arowolo Michael .A.
	Created:	22/08/2007
	Updated:	23/03/2008
	Copyright:	(c) 2008	
	Purpose:	To create View-like Template
	Code-Type:	Tag
---------------------------------------------------------------------//--->
<!--- Opening tag executed ---> 
<cfif ThisTag.ExecutionMode EQ "Start">
	<cfinclude template="../udf/server.cfm" />
	<cfparam name="Attributes.ViewTitle" default="" type="string">
	<cfparam name="Attributes.ViewQuery" default="" >
	<cfparam name="Attributes.ViewAlign" default="left" type="string">
	<cfparam name="Attributes.LabelList" type="string">
	<cfparam name="Attributes.ColList"  type="string">
	<cfparam name="Attributes.ColFormatList"  type="string">
	<cfparam name="Attributes.TableWidth" default="200" type="string">
	<cfoutput>
		<cfset qView = Attributes.ViewQuery>
		<table class="ViewBody" align="#Attributes.ViewAlign#" width="#Attributes.TableWidth#" cellpadding="0" cellspacing="0" >
	  <tr>
				<td colspan="2" class="TableFormHead">#Attributes.ViewTitle#</td>
			</tr>
			<cfset iPos=0>
			<cfloop list="#Attributes.ColList#" index="col">
				<cfset iPos = iPos + 1>
				<cfset getColFormat="">
				<cfif listlen(Attributes.ColFormatList) gte iPos>
					<cfset getColFormat=listgetat(Attributes.ColFormatList,iPos)>
				</cfif>
				<cfset getLabel=Listgetat(Attributes.LabelList,iPos)>
				<tr >
					<td valign="top" nowrap="nowrap" class="lbl">#getLabel#</td>
			  <td valign="top" nowrap="nowrap" class="val" <cfif getColFormat eq "money">align="right"<cfelse>align="left"</cfif>>
<cfset eQuery_Col = "qView.#col#">
						<cfif listfindnocase(qView.ColumnList,col)>
                        	<cfset eCol=evaluate(eQuery_Col) />
                        <cfelse>
							<cfset eCol = Col />
                        </cfif>
						<cfswitch expression="#getColFormat#">
							<cfcase value="email">
							#ecol#<a href="mailto:#ecol#">#ecol#</a>
							</cfcase>
							<cfcase value="url">
							#ecol#<a target="_blank" href="#ecol#">#ecol#</a>
							</cfcase>
							<cfcase value="money">
                            <cfset abs_ecol = val(ecol) />
							&##8358;<!---<img src="#skinroot()##request.skinname#/images/naira.gif" hspace="2" border="0" alt="NGN" />--->
							<cfif ecol ge 0>#LSNumberFormat(abs_ecol,'_,___.__')#
                            <cfelseif ecol eq "">
                            &nbsp;
                            <cfelse><span style="color:red;">#LSNumberFormat(abs_ecol,'_,___.__')#</span></cfif>
			        </cfcase>
							<cfcase value="date">
							#dateformat(ecol,'ddd d mmm yyyy')#
	            </cfcase>
							<cfcase value="datetime">
							#dateformat(ecol,'ddd d mmm yyyy')# #timeformat(ecol,'hh:mm ss tt')#
	            </cfcase>
							<cfcase value="date:m-y" >
							#dateformat(ecol,'mmmm yyyy')#
	            </cfcase>
							<cfdefaultcase>
							#ecol#
						  </cfdefaultcase>
						</cfswitch>&nbsp;					</td>
			  </tr>
			</cfloop> 
		</table>
  </cfoutput>
	<cfelse>
	<!--- end the tag --->
</cfif>
