<!---//--------------------------------------------------------------------
	Name:		Grid.cfm
	Author:		Arowolo Michael .A.
	Created:	07/06/2007
	Updated:	01/09/2007
	Copyright:	(c) 2008	
	Purpose:	A Grid control. 
	Code-Type:	Tag 
	
	Dependencies: [Dependency-Name][Type]				-	[Description]
	application.conn.RunQuery(SQL statement)[function]	-	Execuit SQL Statements
	core:LogEvent[....][tag]							-	Logs view event raised by the user
	PageNumber[integer]									-	From the settings of each user.
	
---------------------------------------------------------------------//--->
<!--- Opening tag executed ---> 
<cfif ThisTag.ExecutionMode EQ "Start">
    <cfparam name="Attributes.SQLStatement" type="string" default="">
    <cfparam name="Attributes.Query" type="any" default="">
    <cfparam name="Attributes.QueryName" type="any" default="">
	<cfparam name="Attributes.ColTitles" type="string">
	<cfparam name="Attributes.KeyField" type="string">
	<cfparam name="Attributes.KeyFieldDesc" type="string">
	<cfparam name="Attributes.QueryCols" type="string">
	<cfparam name="Attributes.QueryColTypes" default="">
	<cfparam name="Attributes.MaxRows" type="integer" default="20" >
	<cfparam name="Attributes.ActionImageName" default="">
	<cfparam name="Attributes.ActionLink" default="">
	<cfparam name="Attributes.ActionToolTip" default="">
	<cfparam name="Attributes.ActionType" default="">
	<cfparam name="Attributes.ActionKey" default="">
	<cfparam name="Attributes.GridWidth" default="100%">
	<cfparam name="Attributes.GridAlign" default="left">
	<cfparam name="Attributes.GridName" type="string">
    <cfparam name="Attributes.GridKey" type="string" default="">
    <cfparam name="Attributes.ReportTitle" type="string" default="">
    <cfparam name="Attributes.ReportSubTitle" type="string" default="">
	<cfparam name="Attributes.Solution" type="string" default="Grid" >
	<cfparam name="Attributes.Icon" default="profile.gif">
	<cfparam name="Attributes.AllowDelete" default="true" type="boolean">
	<cfparam name="Attributes.DBTable"  type="string">
    <cfparam name="Attributes.DBTableView" type="string" default="#Attributes.DBTable#">
	<cfparam name="Attributes.Report" default="false" type="boolean">
	<cfparam name="ForceReport" default="false" type="boolean">
	<cfparam name="Attributes.FromAnotherGrid" default="false" type="boolean">
	<cfparam name="Attributes.ReturnId" default="false" type="boolean">
	<cfparam name="Attributes.ReturnIdName" default="" type="string">
	<cfparam name="Attributes.AllowLog" default="True" type="boolean">
	<cfparam name="Attributes.GridQueryName" default="GridQuery" type="variableName">
	<cfparam name="Attributes.NonSearchableFields" default="" type="string">
    <cfparam name="Attributes.SearchableName" default="" type="string">
    <cfparam name="Attributes.SearchableFields" default="" type="string">
	<cfparam name="Attributes.DateSearchDDList" type="string" default="">
	<cfparam name="Attributes.DateSearchDDListValue" default="" type="string">
	<cfparam name="Attributes.RelatedLinks" default="">
	<cfparam name="Attributes.RelatedLinkURLs" default="">
	<cfparam name="Attributes.RelatedLinkIcons" default="">
	<cfparam name="Attributes.AllowMultipleDeletion" default="true" type="boolean">
	<cfparam name="Attributes.ShowDeletedRecord" default="false" type="boolean">
	<cfparam name="Attributes.SortBy" default="" type="string">
    <cfparam name="Attributes.ShowRefresh" default="true" type="boolean">
    <cfparam name="Attributes.DeleteImageName" default="delete.gif" type="string">
    <cfparam name="Attributes.RowMouseHover" default="DCF0DB" type="string">
    <cfparam name="Attributes.RowColor" default="FFFFFF" type="string">
    <cfparam name="Attributes.RowAlternatColor" default="F0F0E8" type="string">
    <cfparam name="Attributes.SkinName" default="#request.skinname#" type="string">
    <!--- QuerySQLStatement : for the new pdf/flash report. provide the report builder for the query --->
    <cfparam name="Attributes.QuerySQLStatement" default="" type="string">
    
    <cfparam name="request.usid" default="">
    
	<cfparam name="url.SortBy" default="" type="string">
    <cfparam name="GQuery" type="any" default="">
    
    <!--- this is just to get the columns in the db ----> 
    <cfif len(Attributes.SQLStatement)>
		<cfset GQuery = application.conn.RunQuery('#Attributes.SQLStatement# LIMIT 0,1')>
	<cfelse>
		<cfset GQuery = Attributes.Query>
        <cfif IsQuery(Attributes.QueryName)>
			<cfset GQuery = Attributes.QueryName>
		</cfif>
		<cfif Not(IsQuery(GQuery))>
            <cfset GQuery = QueryNew("id")>
        </cfif>    
    </cfif>

	<!--- get grid settings --->
    <cfquery name="qKey" datasource="#application.dsn#">
    	SELECT * FROM vw_grid_view WHERE GridKey = "#Attributes.GridKey#" AND ShowView="true"
    </cfquery>
    <cfscript> 
		if(qKey.RecordCount)	{
			Attributes.QueryCols = qKey.ColumnValue;
			Attributes.ColTitles = qKey.ColumnName;
			Attributes.QueryColTypes = qKey.ColumnType;
			if(qKey.ViewTitle neq "")	{
				Attributes.GridName = qKey.ViewTitle;
				Attributes.ReportTitle = qKey.ReportTitle;
			}
			//if ReportTitle neq ""	{}	
		}
		if(Attributes.ReportTitle eq "")	{
			Attributes.ReportTitle = Attributes.GridName;
		} 

	</cfscript>  
    <!---------- end ----------------------------->
    
	<cfset Attributes.NonSearchableFields = ListAppend(Attributes.NonSearchableFields,"CurrentRow,Id")>
	<cfif not(Attributes.AllowDelete)>
		<cfset Attributes.AllowMultipleDeletion = Attributes.AllowDelete>
	</cfif>
	
	<cfif Attributes.SortBy eq "">
		<cfset Attributes.SortBy = url.sortby>
	</cfif>
	
	<cfif url.sortby neq "">
		<cfset Attributes.SortBy = url.sortby>
	</cfif>
	
	<cfparam name="url.param1" default="">
	<cfparam name="url.param2" default="">
	<cfparam name="url.qt" default="">
    <cfparam name="url.bp" default=""> 
	<cfparam name="url.pn" default="1">
    <cfparam default="asc" name="url.order">
	<cfparam default="" name="WhereClause" type="string">
    <cfparam default="" name="session.grid.whereclause" type="string">
    
	<cfif structkeyexists(url,'PgURL')>
		<!--- for printing purpose--->
		<cfset Attributes.Report = true>
		<cfset ForceReport=true>
	</cfif>
    
	<cfinclude template="../../udf/function.cfm">
	<cfinclude template="../../udf/server.cfm">
	<cfinclude template="../../udf/query.cfm">
	<cfimport taglib="..\" prefix="core">
 
	<cfif ForceReport>
		<cfset Attributes.Report=true>
	</cfif>

	<cfparam name="pk" default="0">
	<cfif Attributes.FromAnotherGrid and structkeyexists(url,'sid')>
		<cfset pk=url.sid>
		<cfelse>
		<cfif structkeyexists(url,'id')>
			<cfset pk=url.id>
		</cfif>
	</cfif>
	<cfif structkeyexists(url,'reset')>
		<cfif listcontainsnocase(reset,'pn')>
			<cfset url.pn=1>
		</cfif>
	</cfif>
	<cfset colspan = ListLen(Attributes.ColTitles,',') + 1>
	<cfif Attributes.AllowMultipleDeletion>
		<cfset colspan = colspan + 1>
	</cfif>
	<cfset ipos=0>
	<cfparam name="Form.Keyword" default="">
	<cfparam name="Form.SearchIn" default="">

	<cfif structkeyexists(url,'del') AND structkeyexists(url,'id')> 
		<cfif Attributes.FromAnotherGrid>
			<cfset keyFV=url.sid>
			<cfelse>
			<cfset keyFV=url.id>
		</cfif>
		<cfif Attributes.ShowDeletedRecord>
        
        <cfelse>
			<cfif url.del>
				<cfset application.conn.RunQuery('DELETE FROM #Attributes.DBTable# WHERE #Attributes.KeyField#=#keyFV#')>
                <cfthread name="#createuuid()#">
			<core:LogEvent 	SolutionName = "#Attributes.solution#" 
							LogTitle = "#attributes.gridname#" LogType = "Delete" 
							LogDescription = "Record Id #keyFV#  was deleted from #attributes.gridname#" />
                </cfthread>
            </cfif>
<!---			<cfif url.del>
				<cfset application.conn.RunQuery('DELETE FROM #Attributes.DBTable# WHERE #Attributes.KeyField#=#keyFV#')>
				<cfelse>
				<cfset application.conn.RunQuery('UPDATE #Attributes.DBTable# SET Isdeleted = "false" WHERE #Attributes.KeyField#=#keyFV#')>
			</cfif>
			<cfelse>
			<cfif url.del>
				<cfset application.conn.RunQuery('UPDATE #Attributes.DBTable# SET Isdeleted = "true" WHERE #Attributes.KeyField#=#keyFV#')>
				<cfelse>
				<cfset application.conn.RunQuery('UPDATE #Attributes.DBTable# SET Isdeleted = "false" WHERE #Attributes.KeyField#=#keyFV#')>
			</cfif>--->
		</cfif>
		<!--- refresh agin --->
        <cfset eurl=urlEncrypt(BuildQueryString('bp,page,return,pk,type,sortby,param1,param2,qt,pn,id2,Keyword,Operator,SearchIn,Resrh,rp,grp,id,sid,order,id3'))>
		<cflocation addtoken="no" url="?#eurl#">
	</cfif>
    <!--- hold on this feature for now 
	<cfif Attributes.ShowDeletedRecord eq false>
		<cfif listcontainsnocase(GQuery.ColumnList,'IsDeleted')>
			<cfquery name="GQuery" dbtype="query">
				SELECT * FROM GQuery WHERE (IsDeleted = 'false' OR IsDeleted = '')	
			</cfquery>
		</cfif>
		<cfelse>
		<cfif listcontainsnocase(GQuery.ColumnList,'IsDeleted')>
			<cfquery name="GQuery" dbtype="query">
				SELECT * FROM GQuery WHERE (IsDeleted = 'true')	
			</cfquery>
		</cfif>
	</cfif>
	--->

    <!--- date search --->
	<cfif url.QT neq ''>
    	<cfset w = '#url.qt# BETWEEN "#url.param1#" AND "#url.param2#"'> 
    	<cfif WhereClause neq "">
			<cfset WhereClause = w>
        <cfelse>
   			<cfset WhereClause = " AND #w# ">
		</cfif>
	</cfif>
    
    <cfparam name="dateSearch" default="">
    <cfset dateSearch =  WhereClause>
    
    <!--- keyword search --->
	<cfif structkeyexists(url,'Keyword') and structkeyexists(url,'SearchIn')>
    	<!--- check if it user select search within grid --->
		<cfif structkeyexists(url,'Resrh') and url.Resrh> 
        	<!---
				get the old whereclause from session
				variable 'session.grid.whereclause'
				and set the new whereclause
			--->
            <cflock scope="session" type="exclusive" timeout="7">
				<cfif session.grid.whereclause eq "">
                    <cfset WhereClause = generateWhereClause()>
                    <cfset session.grid.whereclause = WhereClause > 
                <cfelse>
                    <cfset WhereClause = session.grid.whereclause & " AND " & generateWhereClause()>
                    <cfset session.grid.whereclause = WhereClause>
                </cfif>
            </cflock>
		<cfelse>
			<cfset WhereClause = generateWhereClause()> 
        	<!---
				save the whereclause in a session
				in case the user need to requery
				or filter the grid
			--->
            <cflock scope="session" timeout="4" type="exclusive">
            	<cfset session.grid.whereclause = WhereClause >
            </cflock> 
		</cfif>
	</cfif>
    
	<cfif whereClause eq "">
        <cflock scope="session" timeout="4" type="exclusive">
            <cfset session.grid.whereclause = WhereClause >
        </cflock>
    </cfif>
    
	<cfset PageNum_Grid=url.pn>
	<cfif Attributes.Report>
		<cfset Attributes.MaxRows = 99999 />
	</cfif>
    <!--- paging control --->
    <cfset StartRow_Grid = calculateCurrentPage(url.pn,Attributes.MaxRows) >

    <cfif WhereClause neq "">
    	<cfset WhereClause = " WHERE #WhereClause#" >
    </cfif> 
    <cfset limit = "LIMIT #StartRow_Grid#,#Attributes.MaxRows#">
    <cfset orderby = "#Attributes.SortBy#" >
    <cfif orderby neq "">
    	<cfset orderby = " ORDER BY " & orderby & " " & url.order >  
    </cfif>	
    <cfset whereClause = whereClause & dateSearch > 
    <!---
		check if sql statement contains
		[group by].
	--->
    <cfparam name="groupByParam" default="">
    <cfif findnocase('group by',Attributes.SQLStatement)>
    	<!--- remove [group by] --->
        <cfset Attributes.SQLStatement=replacenocase(Attributes.SQLStatement,chr(10)," ",'all')>
        <cfset Attributes.SQLStatement=replacenocase(Attributes.SQLStatement,chr(13)," ",'all')>
        <cfset Attributes.SQLStatement=replacenocase(Attributes.SQLStatement,"  "," ",'all')>
        <cfset groupPos = ListFindNocase(Attributes.SQLStatement,'GROUP',' ')> 
        <cfset byPos = groupPos + 1>
        <cfset byParamPos = byPos + 1>
        <cfset groupByParam = ListGetAt(Attributes.SQLStatement,byParamPos,' ')>
        <cfset Attributes.SQLStatement = ReplaceNoCase(Attributes.SQLStatement,'GROUP BY ','')>
        <cfset groupByParam = trim("GROUP BY " & groupByParam) >
        <cfif right(groupByParam,1) eq ",">
			<cfset groupByParam = mid(groupByParam,1,len(groupByParam)-1)>
		</cfif>
    </cfif>
    <!--- check if Attributes.SQLStatement contains whereclause, and extract for usage in count *********--->
	<cfset whereClause = replacenocase(whereclause,'  ',' ','ALL')> 
    <cfset whereClause = replacenocase(whereclause,'WHERE AND','WHERE')> 
    <cfif len(Attributes.SQLStatement)>
    	<cfset NWhereClause = WhereClause>
        <cfif findnocase('WHERE',Attributes.SQLStatement)>
        	<cfset NWhereClause = replacenocase(WhereClause,'WHERE','AND')>
        </cfif>
         
        <cfquery name="GQuery" result="QuerySQLStatement" datasource="#application.dsn#">
        	#Attributes.SQLStatement# #NWhereClause# #groupByParam# #orderby# #limit#
        </cfquery>
        <cfset Attributes.QuerySQLStatement = QuerySQLStatement.SQL>
		<cfset m = application.conn.RunQuery('SELECT COUNT(#Attributes.KeyField#) r FROM #Attributes.DBTableView# #WhereClause#')> 
        <cfset tr = m.r>
    <cfelse> 
    	<cfif WhereClause neq "" or orderby neq ""> 
			<cfset WhereClause = Replace(WhereClause,'  ',' ','all')>
            <!--- find fieldname and replace with lower(*) --->
            <cfif ListLen(WhereClause,' ') gt 2> 
                <cfset fn = ListGetAt(WhereClause,2,' ')>
                <cfset WhereClause = ReplaceNoCase(WhereClause,fn,'lower(#fn#)')>
            </cfif>
            <!---TODO: replace fields with or, and later ---> 
            <cfset nw = LCASE(WhereClause)>
            <cftry>
            	
                <cfquery name="GQuery" dbtype="query">
                    SELECT * FROM GQuery
                    #nw# #orderby# 
                </cfquery>
                
                <!--- get operator --->
            	<cfcatch type="any">
                	<cfset nw = replacenocase(nw,'like',getSearchOperator().optr)>
                    <cfset nw = replacenocase(nw,"'%","")>
                    <cfset nw = replacenocase(nw,"%'","")>
                    <!---<cfdump var="#PreserveSingleQuotes(nw)#">--->
                    <cfquery name="GQuery" dbtype="query">
                        SELECT * FROM GQuery
                        #nw# #orderby# 
                    </cfquery>
                </cfcatch>
                
            </cftry> 
        </cfif>
        <cfset tr = GQuery.RecordCount>
    </cfif>  
	<cfset TotalPages_Grid = Ceiling(tr / Attributes.MaxRows) >
    <cfset StartRow_Grid = Min((url.pn - 1) * Attributes.MaxRows + 1,Max(tr,1))>
    <cfset EndRow_Grid = Min(StartRow_Grid + Attributes.MaxRows - 1,tr)>    
    
    <!--- end paging --->
	<!---//start multiple task on td ---->
	<cfif structkeyexists(url,'multi')> 
		<cfset sql_del = "">
		<cfif Attributes.ShowDeletedRecord>
<!---			<cfif url.multi eq 'undo'>
				<cfloop list="#url.todel#" index="del_lst">
					<cfset sql_del = listappend(sql_del,"UPDATE #Attributes.DBTable# SET IsDeleted = 'false' 
					WHERE #Attributes.KeyField# = #del_lst#",";")>
				</cfloop>			
			<cfelse>
				<cfloop list="#url.todel#" index="del_lst">
					<cfset sql_del = listappend(sql_del,"DELETE FROM #Attributes.DBTable# 
						WHERE #Attributes.KeyField# = #del_lst#",";")>
				</cfloop>
			</cfif>--->
		<cfelse>
            <cfloop list="#url.todel#" index="del_lst">
                <cfset application.conn.RunQuery('DELETE FROM #Attributes.DBTable# WHERE #Attributes.KeyField# = #del_lst#')>
            </cfloop>
               
			<core:LogEvent 	SolutionName = "#Attributes.solution#" 
							LogTitle = "#attributes.gridname#" LogType = "delete" 
							LogDescription = "Records with Id #url.todel# was deleted from #attributes.gridname#" />
             
<!---			<cfloop list="#url.todel#" index="del_lst">
				<cfset sql_del = listappend(sql_del,"UPDATE #Attributes.DBTable# SET IsDeleted = 'true' 
				WHERE #Attributes.KeyField# = #del_lst#",";")>
			</cfloop>--->
		</cfif>
		
		<cfset application.conn.RunQuery(sql_del)>
		<!--- refresh agin --->
        <cfset eurl=urlEncrypt(BuildQueryString('bp,page,return,pk,type,sortby,param1,param2,qt,pn,id2,Keyword,Operator,SearchIn,Resrh,rp,grp,id,sid,order,id3'))>
		<cflocation addtoken="no" url="?#eurl#">
	</cfif>
	<!---//end --->
	
<!---// javascript ---------> 
<cfif not Attributes.Report>
<script language="javascript">
<CFOUTPUT>
	<cfset eurl = urlEncrypt(BuildQueryString("bp,page,return,id2,id,rp,grp,id3,Keyword,SearchIn"))>
	function DateSearch()	{
		var dfrom = document.getElementById('date_from').value
		var dto = document.getElementById('date_to').value
		var sl = document.forms['d'].querytype_.value;
		if ((dto == '') || (dfrom == ''))	{
			alert('Date Parameter is required please.');
		}
		else	{
			location.href='?#eurl#&qt=' + sl + '&param1=' + dfrom + '&param2=' + dto;
		}
	} 
</CFOUTPUT>
	function DeleteRecord(delrec,url)	{
		if(confirm('Are you sure you want to Delete This Record - ' + delrec + '?'))	{
			location.href=url;
		}
	}
	<cfoutput>
	function returnData(id,id2)	{
		var op=opener.document;
		op.getElementById('#Attributes.ReturnIdName#').value=id; 
		op.getElementById('#Attributes.ReturnIdName#_').value=id2;
		window.close();
	}
	</cfoutput>
	function selectRecord(box)	{
		var nbox = document.getElementById(box);
		var selRec = document.getElementById('SelectedRecords')
		//var txt = selRec.value; 
		if(nbox.checked)	{
			nbox.checked = false;
			selRec.value = selRec.value.replace("," + nbox.value,""); 
			selRec.value = selRec.value.replace(nbox.value + ",","");
			selRec.value = selRec.value.replace(nbox.value,""); 
		}
		else	{
			nbox.checked = true;
			selRec.value = selRec.value + ',' + nbox.value;
		}
	}
	
	
	function deleteSelected(url)	{
		if(confirm('Are you sure you want to Delete all the selected record(s)'))	{
			location.href=url + '&todel=' + document.getElementById('SelectedRecords').value;
			//alert(document.getElementById('SelectedRecords').value);
		}
	}
	function restoreSelected(url)	{
		location.href=url + '&todel=' + document.getElementById('SelectedRecords').value;

	}
	
	function searchGrid(url)	{
		var dform = document.forms["Grid_Search"];
		var searchWithIn = dform.SearchWithin.checked;
		var keyword = dform.Keyword.value;
		var operation = dform.Operation.value;
		
		if (keyword != '')	{ 							
			var qkeword='Keyword=' + keyword;
			var qOperation = 'Operator=' + operation;
			var qsearchin='SearchIn=' + dform.SearchIn.value;
			url=url + '&' + qkeword + '&' + qsearchin + '&' + qOperation;
			if (searchWithIn == true)	{
				var qsearchWithIn = 'Resrh=' + searchWithIn;
				url = url + '&' + qsearchWithIn;
			} 
			//alert(keyword);
			location.href= url;
			dform.action = url;
			return true;
		}
		else	{
			alert('Keyword is Required Please');
			return false;
		}
		
	}
</script>
<!---//---------------------->
</cfif>

    <cfif Attributes.Report>
    	
		<cfoutput>
            	<div class="ReportHead">#Attributes.ReportTitle#<br />
                <cfif Len(Attributes.ReportSubTitle)>
                	<span>#Attributes.ReportSubTitle#</span>
                <cfelse>
<cfif structKeyexists(url,'qt') and url.qt neq ""><span>#url.qt# <cfif url.param1 eq url.param2>for #dateformat(url.param1,'d mmm. yyyy')# <cfelse> from #dateformat(url.param1,'d/mmm/yyyy')# to #dateformat(url.param2,'d/mmm/yyyy')#</cfif></span></cfif></cfif></div>
       </cfoutput>
    </cfif>
    
	<div id="Grid">
    
<table width="<CFOUTPUT>#Attributes.GridWidth#</CFOUTPUT>" border="0" align="<CFOUTPUT>#Attributes.GridAlign#</CFOUTPUT>" cellpadding="0" cellspacing="0" >
        
        	<thead>
            
			<cfif Not(Attributes.Report)>
				<cfoutput>
					<cfif listlen(Attributes.RelatedLinks) gt 0>
						<tr>
							<td colspan="#colspan#" class="Link"><cfset iPos =0>
								<ul>
									<cfloop list="#Attributes.RelatedLinks#" index="getLink">
										<cfset iPos=iPos+1>
										<cfset getLinkURL=trim(Listgetat(Attributes.RelatedLinkURLs,iPos))>
                                        <cfset eurl = urlEncrypt(replace(getLinkURL,'?',''))>
										<li> <a href="?#eurl#">
											<cfif ListLen(Attributes.RelatedLinkIcons) gte iPos>
												<img src="#SkinRoot()##Attributes.SkinName#/images/#trim(listgetat(Attributes.RelatedLinkIcons,iPos))#" width="8" hspace="2" border="0" align="absmiddle" />
											</cfif>
										#getLink#</a> </li>
									</cfloop>
							    </ul></td>
					  </tr>
					</cfif>
					<cfif listlen(Attributes.DateSearchDDList) gt 0>
						<form name="d">
							<tr>
								<td colspan="#colspan#" class="DateSearchPos"><select name="querytype_">
										<cfset iPos=0>
										<cfloop list="#Attributes.DateSearchDDList#" index="ddl">
											<cfset iPos=iPos+1>
											<cfset getDDLValue=ddl>
											<cfif listlen(Attributes.DateSearchDDListValue) gte iPos>
												<cfset getDDLValue=trim(listgetat(Attributes.DateSearchDDListValue,iPos))>
											</cfif>
											<cfif url.qt eq getDDLValue>
												<option selected="selected" value="#getDDLValue#">#ddl#</option>
												<cfelse>
												<option value="#getDDLValue#">#ddl#</option>
											</cfif>
										</cfloop>
										<cfset sq=BuildQueryString('bp,page,return,id2,id,rp,grp,id3')>
									</select>
									&nbsp;<span>From:</span>
									<input readonly="readonly" value="#url.param1#" type="text" name="date_from" id="date_from" onblur="javascript:this.className='TextBox_LostFocus';" onfocus="javascript:this.className='TextBox_GetFocus';return showCalendar('date_from', '%Y/%m/%d');" /><img onclick="return showCalendar('date_from', '%Y/%m/%d');" src="#SkinRoot()##Attributes.SkinName#/images/date.gif" align="absmiddle"  border="0" /> <span>To:</span>
									<input readonly="readonly" value="#url.param2#" type="text" name="date_to" id="date_to" onblur="javascript:this.className='TextBox_LostFocus';" onfocus="javascript:this.className='TextBox_GetFocus';return showCalendar('date_to', '%Y/%m/%d');" /><img onclick="return showCalendar('date_to', '%Y/%m/%d');" src="#SkinRoot()##Attributes.SkinName#/images/date.gif" align="absmiddle"  border="0" /><img align="absmiddle" src="#SkinRoot()##Attributes.SkinName#/images/search.gif" border="0" hspace="2" style="cursor:pointer;" onclick="DateSearch();" /></td>
						  </tr>
						</form>
					</cfif>
				</cfoutput>
			</cfif>
            
            
			
			<cfif Not(Attributes.Report)>
			<tr> <cfoutput>
					<td colspan="#colspan#" valign="middle" class="HEAD"><h3>
							<cfif Attributes.Icon neq "">
								<img src="#SkinRoot()##Attributes.SkinName#/images/#Attributes.icon#" align="absmiddle" hspace="1" />
							</cfif>
							#Attributes.GridName#</h3>
						<cfif Not(ForceReport)>
							<span>
							<cfset bq=BuildQueryString('type,sortby,param1,param2,qt,id2,id,Keyword,Operator,SearchIn,Resrh,rp,grp,order,id3,bp,page')>
	
<!---	<cfset s__ = "Table=#Attributes.DBTable#">
    <cfset s__=ListAppend(s__,"TableView=#Attributes.DBTableView#",'&')>
    <cfset s__=ListAppend(s__,"OrderBy=#Attributes.SortBy#",'&')>
    <cfset s__=ListAppend(s__,"Order=#url.order#",'&')>
    <cfset s__=ListAppend(s__,"sql=#replace(Attributes.QuerySQLStatement,'=','-eq-','all')#",'&')>
    <cfset s__=ListAppend(s__,"Header=#Attributes.ColTitles#",'&')>
    <cfset s__=ListAppend(s__,"Field=#Attributes.QueryCols#",'&')>
    <cfset s__=ListAppend(s__,"WhereClause=#session.grid.whereclause#",'&')>  
    <cfset s__=ListAppend(s__,"param1=#url.param1#&param2=#url.param2#&qt=#qt#",'&')>  
    <cfset eurl_print = urlEncrypt(s__)>---> 

                            <cfset eurl=urlEncrypt("PageName=#Attributes.GridName#&PgUrl=|.|.Solutions.#Attributes.Solution#.#url.bp#&#bq#")>
<cfset eurl_="PageName=#Attributes.GridName#&PgUrl=|.|.Solutions.#Attributes.Solution#.#url.bp#&#bq#">
 
                            <a href="javascript:openPopup2('../../core/printer/official_xls.cfm?#eurl#');"> <img border="0" title="Export to Excel" alt="Export to Excel" src="#skinRoot()##Attributes.SkinName#/images/xls.gif" hspace="2" /></a>                            
                            <a href="javascript:openPopup2('../../core/printer/official_pdf.cfm?#eurl#');"> <img border="0" title="Export to PDF" alt="Export to PDF" src="#skinRoot()##Attributes.SkinName#/images/export_swf.gif" hspace="2" /></a> <a href="javascript:openPopup2('../../core/printer/official_space4letterhead.cfm?#eurl#');"><img border="0" title="Print this Page with Space For Letter Head" alt="Print" src="#skinRoot()##Attributes.SkinName#/images/printer2.gif" hspace="2" /></a> <a href="javascript:openPopup2('../../core/printer/official.cfm?#eurl_#');"><img border="0" title="Print this Page" alt="Print" src="#skinRoot()##Attributes.SkinName#/images/printer.gif" hspace="2" /></a></span>
						</cfif></td>
				</cfoutput> </tr> 
			</cfif> 
             
			<tr>
				<!--- dynamic td from Attributes.ColTitles --->
				<cfif Attributes.AllowMultipleDeletion and Not(Attributes.Report) >
					<th  width="1" class="sub_head">&nbsp;</th>
				</cfif>
				<cfoutput>
					<cfset ipos=0>
					<cfloop list="#Attributes.ColTitles#" index="title_">
						<cfset title=trim(title_)>
						<cfset ipos=ipos+1>
						<cfset col=trim(listgetat(Attributes.QueryCols,ipos,','))>
						<th  
						<cfif title_ eq listlast(Attributes.ColTitles) and Attributes.Report>
                        	class="sub_head_right"
						<cfelse> 
                        class="sub_head"</cfif> <cfif listgetat(Attributes.QueryColTypes,ipos) eq 'money'>align="right"</cfif>><cfset hQuery=BuildQueryString('bp,page,return,pn,pk,id,type,param1,param2,qt,id2,Keyword,Operator,SearchIn,Resrh,rp,grp,id3')>
							<cfset hImg="spacer.gif">
							<cfif structkeyexists(url,'order')>
								<cfif url.order eq 'desc'>
									<cfset hQuery="#hQuery#&order=asc">
									<cfset hImg="desc.gif">
									<cfelse>
									<cfset hQuery="#hQuery#&order=desc">
									<cfset hImg="asc.gif">
								</cfif>
							</cfif>
                            <cfif Attributes.Report>
                            	#title#
                            <cfelse>
							<cfset eurl = urlEncrypt("#hQuery#&sortby=#col#")>
							<a href="?#eurl#" title="Sort by #title#">#title#
							<cfif Attributes.SortBy neq "" and col eq Attributes.SortBy>
								<img align="absmiddle" border="0" src="#SkinRoot()##Attributes.SkinName#/images/#himg#"  />
							</cfif>
							</a>
                            </cfif> 
                            </th>
					</cfloop>
				</cfoutput>
				<cfif Not(Attributes.Report)><th nowrap="nowrap" class="sub_head_right" width="1px" ></th></cfif>
			</tr>  
            </thead> 
            
            <cfset sr = StartRow_Grid>
            <cfif len(Attributes.SQLStatement)>
            	<cfset sr = 1> 
            </cfif>
            
 <tbody <!---<cfif Not Attributes.Report>---><!---id="GridBody" style="overflow:auto; height:300px;"---> <!---</cfif>--->>
			 <cfoutput query="GQuery" startrow="#sr#" maxrows="#Attributes.MaxRows#">
             <cfset baseColor = "###Attributes.RowColor#">
             <cfif GQuery.CurrentRow MOD 2 eq 0>
             	<cfset baseColor = "###Attributes.RowAlternatColor#" />
             </cfif>
             
				<tr <CFIF Attributes.ReturnID>onclick="javascript:returnData('#Evaluate(Attributes.KeyField)#','#Evaluate(Attributes.KeyFieldDesc)#');" </cfif> <cfif  pk eq #evaluate(Attributes.KeyField)#> bgcolor="##FFDDDD"<cfelse> 
	onmouseover="this.style.background='###Attributes.RowMouseHover#'" bgcolor="#baseColor#" onmouseout="this.style.background='#baseColor#'"</cfif>>
	<!---/start populating td with check boxes/--->
	<cfif Attributes.AllowMultipleDeletion and Not(Attributes.Report)>
	<td class="data" align="center" valign="top" onclick="javascript:selectRecord('SeletedField_#Evaluate(Attributes.KeyField)#');"><input onclick="javascript:selectRecord('SeletedField_#Evaluate(Attributes.KeyField)#');" id="SeletedField_#Evaluate(Attributes.KeyField)#" value="#Evaluate(Attributes.KeyField)#" name="SeletedField_#Evaluate(Attributes.KeyField)#" type="checkbox" /></td></cfif>
	<!---//end//--->
					<!--- dynamic td from Query --->
					<cfset ipos =0>
					<!---Reset --->
					<cfloop list="#Attributes.QueryCols#" delimiters="," index="colu">
						<cfset col=trim(colu)>
						<cfset ipos = ipos + 1>
						<cfset colType="">
						<cfif Listlen(Attributes.QueryColTypes) gte ipos>
							<cfset colType=trim(listgetat(Attributes.QueryColTypes,ipos,','))>
						</cfif>
						<td valign="top" 
						<cfif col eq listlast(Attributes.QueryCols) and Attributes.Report>
                        	class="data_right" style="text-align:left" 
						<cfelse>
                        	class="data"
						</cfif> >
							<cfset eval_col=evaluate(col)>
                        	<cfset len_ev = len(eval_col) />
							<cfswitch expression="#colType#">
								<cfcase value="email">
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								<a href="mailto:#eval_col#">#evaluate(col)#</a>
								</cfcase>
								<cfcase value="url">
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								<a target="_blank" href="#eval_col#">#eval_col#</a>
								</cfcase>
								<cfcase value="integer,numeric,number" delimiters=","> 
								<div style="text-align:right;">#LSNumberFormat(eval_col,'_,___')#</div>
								</cfcase>
								<cfcase value="money"> 
                                	<div style="text-align:right"><cfset val_money = val(eval_col) /> 
                                   <cfif val_money  ge 0>
                                    	#LSNumberFormat(val_money,'_,___.__')#
                                    <cfelse>
                                     <span style="color:red;">#LSNumberFormat(val_money,'_,___.__')#</span>
                                    </cfif></div>
								</cfcase>
								<cfcase value="date" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat(eval_col,'ddd d mmm yyyy')#
								</cfcase>
								<cfcase value="date:m-y" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat(eval_col,'mmmm yyyy')#
								</cfcase>
								<cfcase value="date:d-m-y" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat(eval_col,'dd/mm/yyyy')#
								</cfcase>
								<cfcase value="date:m-d-y" >
								<cfif len(eval_col) gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat(eval_col,'mm/dd/yyyy')#
								</cfcase>
								<cfcase value="date:m" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat('#eval_col#-1','mmmm')#
								</cfcase>
								<cfcase value="date:y" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat('#eval_col#','yyyy')#
								</cfcase>	
								<cfcase value="date:short" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat('#eval_col#','d/m/yy')#
								</cfcase>							
								<cfcase value="dateTime" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#dateformat(eval_col,'d mmmm yyyy')# #timeformat(eval_col,'h:m:s tt')#
								</cfcase>
								<cfcase value="longString" >
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#left(eval_col,150)#
								</cfcase>
								<cfdefaultcase>
								<cfif len_ev gt 0>
									<cfelse>
									&nbsp;
								</cfif>
								#eval_col#
								</cfdefaultcase>
							</cfswitch>
						</td>
					</cfloop>
                    <!--- action ---> 
					<cfif Not(Attributes.Report)><td valign="top" nowrap="nowrap" class="data_right"><img src="../../skin/#Attributes.SkinName#/images/spacer.gif" height="16" width="1" />
						
			  <cfif Attributes.ReturnID>
								<a title="Return Rrecord" href="javascript:returnData('#Evaluate(Attributes.KeyField)#','#Evaluate(Attributes.KeyFieldDesc)#');"><img   border="0" src="#SkinRoot()##Attributes.SkinName#/images/return.gif"  /></a>
							</cfif>
							<cfset iPos = 0>
							<cfloop list="#Attributes.ActionImageName#" delimiters="," index="img">
                            	<cfset keyFieldValue = Evaluate(Attributes.KeyField) />
                                <cfset keyFieldDescValue = Evaluate(Attributes.KeyFieldDesc) />
								<cfset iPos = iPos + 1>
								<cfset getAcToolTip="">
								<cfset getAcType="self">
								<cfif Listlen(Attributes.ActionToolTip,',') gte iPos>
									<cfset getAcToolTip=trim(listgetat(Attributes.ActionToolTip,iPos,','))>
								</cfif>
								<cfif Listlen(Attributes.ActionType,',') gte iPos>
									<cfset getAcType=trim(listgetat(Attributes.ActionType,iPos,','))>
								</cfif>
								<cfset getAcLink=trim(listgetat(Attributes.ActionLink,iPos,','))>
								<cfif findnocase('KeyField',getAcLink)>
                                	<cfset getAcLink = replacenocase(getAcLink,'KeyField',keyFieldValue) />
                                </cfif>
                                <cfloop list="#GQuery.columnlist#" index="col" >
                                	<cfset nCol = '[#col#]' />
                                	<cfif findnocase(nCol,getAcLink)>
                                    	<cfset getAcLink = replacenocase(getAcLink,nCol,Evaluate(col)) /> 
                                    </cfif>
                                	<cfif findnocase(nCol,getAcToolTip)> 
                                        <cfset getAcToolTip = replacenocase(getAcToolTip,nCol,Evaluate(col)) />
                                    </cfif>
                                	<cfif findnocase(nCol,img)>
                                        <cfset img = replacenocase(img,nCol,Evaluate(col)) >
                                    </cfif>
                                </cfloop>
								<cfset navLink ="#getAcLink#&id2=#keyFieldDescValue#&#BuildQueryString('rp,pn,pk,type,sortby,Keyword,Operator,SearchIn,Resrh,grp,order')#">
                                <cfset link_ = "#getAcLink#&id2=#keyFieldDescValue#">
								<cfif Attributes.FromAnotherGrid >
									<cfset ids="id=#url.id#&sid=#keyFieldValue#">
									<cfset ids="id=#url.id#&sid=#Evaluate(Attributes.KeyField)#&id3=#keyFieldDescValue#">
									<cfelse>
									<cfset ids="id=#keyFieldValue#">
								</cfif>
								<cfset tooltp=replacenocase(getAcToolTip,'KeyFieldDesc',keyFieldDescValue,'all')>
                                <!--- tool tip--->
							  <cfset tt_id="#replace(Attributes.GridName,' ','','all')#_#replace(img,'.','__','all')#___#CurrentRow#">
                              <span id="#tt_id#">#tooltp#</span>                                  
								<cfswitch expression="#getAcType#">
									<cfcase value="popup2">
									<a onmouseover="TagToTip('#tt_id#',WIDTH, 200)" href="javascript:openPopup4('#link_#&#ids#','770','450')"><img   border="0" src="#SkinRoot()##Attributes.SkinName#/images/#img#"  /></a>
									</cfcase>
									<cfcase value="popup">
									<a onmouseover="TagToTip('#tt_id#',WIDTH, 200)" href="javascript:openPopup3('#link_#&#ids#','770','450')"><img   border="0" src="#SkinRoot()##Attributes.SkinName#/images/#img#"  /></a>
									</cfcase>
									<cfdefaultcase>
									<a onmouseover="TagToTip('#tt_id#',WIDTH, 200)" href="#link_#&#ids#"><img   border="0" src="#SkinRoot()##Attributes.SkinName#/images/#img#"  /></a>
									</cfdefaultcase>
								</cfswitch>
							</cfloop>
							<cfif Attributes.AllowDelete>
								<cfset Attributes.AllowDelete=not(Attributes.Report)>
							</cfif>
							<cfif Attributes.ShowDeletedRecord>
                            	
								<cfset bQuery=BuildQueryString('bp,page,return,pn,pk,type,sortby,id2,Keyword,Operator,SearchIn,Resrh,rp,grp,order,id3')>
                                <cfset eurl = urlEncrypt("#bquery#&id=#Evaluate(Attributes.KeyField)#&del=false")>
								<a href="?#eurl#"><img align="absmiddle"  border="0" src="#SkinRoot()##Attributes.SkinName#/images/undo.gif"  alt="Restore"  /></a>
							</cfif>
							<cfif Attributes.AllowDelete>
								<cfset bQuery=BuildQueryString('bp,page,return,pn,pk,type,sortby,id2,Keyword,Operator,SearchIn,Resrh,rp,grp,order,id3')>
								<cfif Attributes.FromAnotherGrid>
                                	<cfset eurl = urlEncrypt("#bquery#&sid=#Evaluate(Attributes.KeyField)#&del=true&id=#url.id#")>
									<a href="javascript:DeleteRecord('','?#eurl#')"><img  border="0" src="#SkinRoot()##Attributes.SkinName#/images/#Attributes.DeleteImageName#"  alt="Delete"  /></a>
									<cfelse>
                                    <cfset eurl = urlEncrypt("#bquery#&id=#Evaluate(Attributes.KeyField)#&del=true")>
									<a href="javascript:DeleteRecord('#Evaluate(Attributes.KeyFieldDesc)#','?#eurl#')"><img  border="0" src="#SkinRoot()##Attributes.SkinName#/images/#Attributes.DeleteImageName#"  /></a>
								</cfif>
							</cfif>
							<img src="../../skin/#Attributes.SkinName#/images/spacer.gif" height="16" width="1" />
						
					</td></cfif> 
				</tr>
             
		</cfoutput> 
            
      </tbody>
            
			<cfoutput>
				<cfif Attributes.Report eq false>
					<tr>
						<td colspan="#colspan#"><div class="Search_pos">
								<table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
										<!--- // start multipledeletion code // --->
										<cfif Attributes.AllowMultipleDeletion>
										<cfset bQuery=BuildQueryString('bp,page,return,pn,pk,type,sortby,id2,Keyword,Operator,SearchIn,Resrh,rp,grp,order,id3,id')>
										<td align="left"><img hspace="1" align="absmiddle"  border="0" src="#SkinRoot()##Attributes.SkinName#/images/arrow_lr.gif" /><input  type="hidden" value="" name="SelectedRecords" id="SelectedRecords"  /><cfif Attributes.ShowDeletedRecord>
<cfset eurl = urlEncrypt("#bQuery#&multi=undo")>
<a href="javascript:restoreSelected('?#eurl#');"><img hspace="2" align="absmiddle"  border="0" src="#SkinRoot()##Attributes.SkinName#/images/undo.gif"  alt="Restore" /></a></cfif><a href="javascript:deleteSelected('?#bQuery#&multi=delete');"><img hspace="2" align="absmiddle"  border="0" src="#SkinRoot()##Attributes.SkinName#/images/#Attributes.DeleteImageName#"  alt="Delete" /></a></td>
										</cfif>
										<!---/end/--->
										<!--- search position --->
<cfset eurl = urlEncrypt("#BuildQueryString('bp,page,return,pk,type,sortby,param1,param2,qt,id2,id,rp,grp,order,id3')#")>
										<form name="Grid_Search" action="" method="post" onsubmit="javascript:return searchGrid('?#eurl#');">
										<td nowrap="nowrap"><select name="SearchIn" id="SearchIn">
												<cfset iPos=0>
                                                <cfset searchList_ = "" ><cfset searchListV_ = "" >
                                                <cfset searchListV_ = listAppend(searchListV_,Attributes.QueryCols) >
                                                <cfset searchListV_ = listAppend(searchListV_,Attributes.SearchableFields) >     
                                                <cfset searchList_ = listAppend(searchList_,Attributes.ColTitles) >
                                                <cfset searchList_ = listAppend(searchList_,Attributes.SearchableName) >
												<cfloop list="#searchList_#" index="item">
													<cfset iPos=iPos + 1>
													<cfset fvalue=trim(listgetat(searchListV_,iPos))>
													<cfif Not ListFindNoCase(Attributes.NonSearchableFields,fvalue)>
														<option <CFIF structkeyexists(url,'SearchIn') and url.SearchIn eq fvalue>selected="selected"</cfif> value="#fvalue#">#item#</option>
													</cfif>
												</cfloop>
											</select>
											<cfset qOperation=QueryNew('ID,Item')>
											<cfset idL="eq,neq,lt,gt,ge,le,ew,bw">
											<cfset i=0>
											<cfset ItemL="contains,does'nt contains,less than,greater than,nt less than,nt greater than,ends with,begins with" />
										  <cfloop list="#idL#" index="lv">
												<cfset i=i+1>
												<cfset QueryAddRow(qOperation)>
												<cfset QuerySetCell(qOperation,'ID',trim(lv))>
												<cfset QuerySetCell(qOperation,'Item',trim(ListGetAt(ItemL,i)))>
										  </cfloop>
											<select name="Operation" id="Operation">
												<cfloop query="qOperation">
													<option <CFIF structkeyexists(url,'Operator') and url.Operator eq qOperation.ID >  selected="selected"</cfif> value="#qOperation.ID#">#qOperation.item#</option>
												</cfloop>
											</select>
											<label>
											<input class="keyword"<!--- onfocus="javascript:this.className='TextBox_GetFocus';"---> <cfif structkeyexists(url,'Keyword')> value="#url.Keyword#" </cfif><!--- onblur="javascript:this.className='TextBox_LostFocus';"---> name="Keyword" id="Keyword" />
											</label>
											<label <CFIF structkeyexists(url,'keyword')><cfelse> class="hide" </CFIF>>
											<input type="checkbox" name="SearchWithin" id="SearchWithin" class="checkBox" />
											*</label>
<cfset eurl = urlEncrypt("#BuildQueryString('bp,page,return,pk,type,sortby,param1,param2,qt,id2,id,rp,grp,order,id3')#")>
											<a  title="Search" href="javascript:searchGrid('?#eurl#');" ><img  src="#SkinRoot()##Attributes.SkinName#/images/search.gif" align="absmiddle" alt="Search" border="0" hspace="2" /></a>
											<input  type="hidden" value="Search" name="Sub_Search"  />
                                            <cfif Attributes.ShowRefresh>
											<cfif Attributes.FromAnotherGrid>
												<cfset refURL=BuildQueryString('bp,page,return,id,id2,rp,grp,id3')>
												<cfelse>
												<cfset refURL=BuildQueryString('bp,page')>
											</cfif>
<cfset eurl = urlEncrypt("#refURL#")>
											<a  title="Refresh Grid" href="?#eurl#" ><img  src="#SkinRoot()##Attributes.SkinName#/images/refresh.gif" align="absmiddle" alt="Refesh" border="0" /></a> </cfif></td>
									  </form>
										<!--- navigation position --->
										<td valign="middle"><table border="0" width="20%" align="center">
												<tr>
													<td width="23%"  align="center"><cfset NavLink=BuildQueryString('bp,page,return,pk,type,sortby,param1,param2,qt,id2,Keyword,Operator,SearchIn,Resrh,id,rp,grp,sid,order,id3')>
														<cfif PageNum_Grid GT 1>
                                                        <cfset eurl = urlEncrypt("#NavLink#&pn=1")>
															<a href="?#eurl#"><img src="#SkinRoot()##Attributes.SkinName#/images/First.gif" alt="Move First" border=0 /></a>
															<cfelse>
															<img src="#SkinRoot()##Attributes.SkinName#/images/First_dis.gif"   />
														</cfif></td>
													<td width="23%" align="center"><cfif PageNum_Grid GT 1>
                                                    <cfset eurl = urlEncrypt("#NavLink#&pn=#Max(DecrementValue(PageNum_Grid),1)#")>
															<a href="?#eurl#"><img src="#SkinRoot()##Attributes.SkinName#/images/Previous.gif" alt="Move Previous" border=0 /></a>
															<cfelse>
															<img src="#SkinRoot()##Attributes.SkinName#/images/Previous_dis.gif"  />
														</cfif></td>
													<td align="center" nowrap="nowrap">#pn# of #TotalPages_Grid#</td>
													<td width="23%" align="center"><cfif PageNum_Grid LT TotalPages_Grid>
                                                    <cfset eurl = urlEncrypt("#NavLink#&pn=#Min(IncrementValue(PageNum_Grid),TotalPages_Grid)#")>
															<a href="?#eurl#"><img src="#SkinRoot()##Attributes.SkinName#/images/Next.gif" alt="Move Next" border=0 /></a>
															<cfelse>
															<img src="#SkinRoot()##Attributes.SkinName#/images/Next_dis.gif" />
														</cfif></td>
													<td width="23%" align="center"><cfif PageNum_Grid LT TotalPages_Grid>
                                                     <cfset eurl = urlEncrypt("#NavLink#&pn=#TotalPages_Grid#")>
															<a href="?#eurl#"><img src="#SkinRoot()##Attributes.SkinName#/images/Last.gif" alt="Move Last" border=0 /></a>
															<cfelse>
															<img src="#SkinRoot()##Attributes.SkinName#/images/Last_dis.gif" />
														</cfif></td>
												  <td nowrap="nowrap" valign="middle">&nbsp;Rec. #StartRow_Grid# to #Endrow_Grid# of #tr#</td>
												</tr>
									  </table></td>
								  </tr>
								</table>
							</div></td>
					</tr>
				</cfif>
            
				<cfif Attributes.Report eq false>
					<tr>
					  <td colspan="#colspan#" class="bottom"><div class="Key_pos">
								<cfset iPos=0>
								<cfloop list="#Attributes.ActionImageName#" delimiters="," index="img">
									<cfset getActKey="">
									<cfset iPos=iPos + 1>
								  <cfif listlen(Attributes.Actionkey,',') gte iPos>
										<cfset getActKey=trim(ListGetAt(Attributes.ActionKey,iPos,','))>
								  </cfif>
									<img hspace="2" align="absmiddle" border="0" src="#SkinRoot()##Attributes.SkinName#/images/#img#"  />#getActKey#&nbsp;
								</cfloop>
								<cfif Attributes.ShowDeletedRecord>
									<img hspace="2" align="absmiddle" alt="Restore" border="0" src="#SkinRoot()##Attributes.SkinName#/images/undo.gif"  />Restore A Record
								</cfif>
								<cfif Attributes.AllowDelete>
									<img hspace="2" align="absmiddle" alt="Delete" border="0" src="#SkinRoot()##Attributes.SkinName#/images/#Attributes.DeleteImageName#"   />Delete A Record
								</cfif>
							</div>
<!---                            <cfset shide= 'style="display:none;"' />
                            <cfif attributes.GridKey neq "">--->
                            <cfset shide= '' />

<cfif not Attributes.Report>

<cfif Attributes.GridKey neq "">                            
                            <div #shide# class="CustomView">
<cfform name="CustomView"> 
   <cfselect name="GridViewItem" id="GridViewItem" bindonload="true" bind="cfc:com.adexfe.tags.grid.GridSettingCtrl.ajGetGridView('#attributes.GridKey#',#val(qKey.GridViewId)#,'#application.dsn#')"  /> <a href="javascript:loadGridView();">use</a> <a href="javascript:ColdFusion.Window.show('grid_option');">edit</a> <a href="javascript:deleteView();">delete</a> <a href="javascript:defaultView();">default</a> 
  <script> 
	<cfoutput> 
	function defaultView()	{
		gridVId = document.getElementById('GridViewItem').value; 
		location.href = '?bp=|.|.core.tags.xGrid_v1000.x_gridview&oldbp=#url.bp#&solution=#Attributes.Solution#&GridViewId=' + gridVId + '&GridKey=#Attributes.GridKey#&act=default';
	}
	function deleteView()	{
		gridVId = document.getElementById('GridViewItem').value; 
		location.href = '?bp=|.|.core.tags.xGrid_v1000.x_gridview&oldbp=#url.bp#&solution=#Attributes.Solution#&GridViewId=' + gridVId + '&GridKey=#Attributes.GridKey#&act=del';
	}
	function loadGridView()	{
		gridVId = document.getElementById('GridViewItem').value; 
		location.href = '?bp=|.|.core.tags.xGrid_v1000.x_gridview&oldbp=#url.bp#&solution=#Attributes.Solution#&GridViewId=' + gridVId + '&GridKey=#Attributes.GridKey#';
	}
	</cfoutput>
  </script>
                              </cfform>
                        </div>
                   
<!--- window settings --->
<script src="#RemoteRoot('')#core/js/movelist.js" type="text/javascript"></script>

<cfajaximport tags="cfform" />
<cfwindow closable="true"  name="grid_option" source="#RemoteRoot('')#core/tags/xGrid_v1000/grid_settings.cfm?GridName=#Attributes.GridName#&GridKey=#Attributes.GridKey#&tbl=#Attributes.DBTableView#&GridViewId={GridViewItem}" width="350" modal="true" height="390" title="Grid Settings" />
  
<script>
	function parseColumnItem(from,value_,name_)	{
		value_.value = "";
		name_.value = "";
		for (var i=0; i<from.options.length; i++) {
			var o = from.options[i]; 
			value_.value = value_.value + ',' + o.value;
			name_.value = name_.value + ',' + o.text;
		} 
		
	}
	<cfoutput>
		function saveGridSettings(col_from,hid_value,hid_name)	{  
			parseColumnItem(col_from,hid_value,hid_name);
			ColdFusion.Ajax.submitForm('settings','#RemoteRoot('')#core/tags/xGrid_v1000/x_grid.cfm');
			ColdFusion.Window.hide('grid_option'); 
		}
	</cfoutput>
</script>
</cfif>
</cfif>
<!--- end --->
                      </td>
					</tr>
				</cfif>
			</cfoutput>
	  </table>
	</div>
    
    
    
    
	<cfelse>
	<!--- end of tag --->
	<!--- return grid --->
	<cfset Caller[Attributes.GridQueryName] = Duplicate(GQuery) >
	<cfif Attributes.AllowLog>
    	<!---<cfthread name="gridview" action="run" >--->
			<core:LogEvent 	SolutionName = "#Attributes.solution#" 
							LogTitle = "#attributes.gridname#" LogType = "grid-view" 
							LogDescription = "Viewing section for #Attributes.GridName# on page #url.pn#" />
        <!---</cfthread>--->
	</cfif>
    </cfif>
<!--- tag functions --->