<cfif isDefined("fileUpload")>
  <cffile action="upload"
     fileField="fileUpload"
     destination="c:\Coldfusion8\wwwroot\eurocomm\gstock\images"
     accept="application/msword, application/pdf, image/jpg, image/jpeg, image/png, text/html, text/plain, application/vnd.openxmlformats-officedocument.wordprocessingml.document"
     nameconflict="makeunique"> 
     <p>Thank you.</p>
   <p>  
   <cfoutput> 
	You uploaded #cffile.ClientFileName#.#cffile.ClientFileExt# successfully to the server.</p>
      <p>The value of CF_TEMPLATE_PATH is: <cfdump var="#CF_TEMPLATE_PATH#"></p>
</cfoutput> 
     <p>Please close this window to continue.</p> 
 <cfset myFolder = getWebPath() >
 <p>
 <cfoutput>#myFolder#</cfoutput></p>
</cfif>

<cffunction name="getWebPath" access="public" output="false" returntype="string" hint="Gets the absolute path to the current web folder.">
    <cfargument name="url" required="false" default="#getPageContext().getRequest().getRequestURI()#" hint="Defaults to the current path_info" />
    <cfargument name="ext" required="false" default="\.(cfml?.*|html?.*|[^.]+)" hint="Define the regex to find the extension. The default will work in most cases, unless you have really funky urls like: /folder/file.cfm/extra.path/info" />
    <!---// trim the path to be safe //--->
    <cfset var sPath = trim(arguments.url) />
    <!---// find the where the filename starts (should be the last wherever the last period (".") is) //--->
    <cfset var sEndDir = reFind("/[^/]+#arguments.ext#$", sPath) />
    <cfreturn left(sPath, sEndDir) />
</cffunction>