<cfparam name="url.period_ended" default="#now()#"> 

<cfset firstofLastDate = DateAdd('m','1',url.period_ended)>
<cfset endDate = "#dateformat(firstofLastDate,'yyyy/mm')#" & "/#DaysInMonth(firstofLastDate)#" > 

<cfquery name="qTemp" datasource="#application.dsn#">
	SELECT 
    	SUM(InterestCharged) InterestCharged, AccountName, AccountId,
        RefNumber, TransactionDate, GeneralLedgerId, SBOClientId 
    FROM vw_acc_clientinterest_temp 
    WHERE PeriodEnded = <cfqueryparam cfsqltype="cf_sql_date" value="#endDate#">
    GROUP BY SBOClientId
</cfquery>

<cfset sql_cl = "">
<cfset sql_dl = "">
<cfset sql_gl = "">
<cfloop query="qTemp" >
	<cfset Descr = "* INT CHARGE ON DEBIT BAL">
    <cfset Descr2 = "* INT CHARGE ON  A/C #AccountId#">
	<!--- delete already posted accounts --->
    <cfset sql_dl = ListAppend(sql_dl,' RefNumber="#RefNumber#" ','|')> 
	<!--- debit client --->
    <cfset sql_cl = listAppend(sql_cl,'("#endDate#", "#SBOClientId#", "#Descr#", "#InterestCharged#", "#RefNumber#" )')>
    <!--- debit/credit client gl --->
    <cfset sql_gl = listAppend(sql_gl,'("#SBOClientId#","#val(request.BranchId)#", "#GeneralLedgerId#", #InterestCharged#, "#Descr2#", "#endDate#", "#endDate#", "#RefNumber#")')>
</cfloop>

<cfset sql_dl = replacenocase(sql_dl,"|","OR","all")>
<cfset sql_ca = replacenocase(sql_dl,"RefNumber","Source","all")>

<cfif qTemp.RecordCount>
    <cftransaction action="begin">
        <cfset application.conn.RunQuery('DELETE FROM sbo_client_account WHERE #sql_ca#')>
        <cfset application.conn.RunQuery('DELETE FROM acc_voucher WHERE #sql_dl#')>
    </cftransaction>
</cfif>

<cfif len(sql_cl)>
    <cftransaction action="begin">
        <cfset application.conn.RunQuery('INSERT INTO sbo_client_account 
        (TransactionDate, SBOClientId, Description, Debit, Source ) VALUES #sql_cl# ')>
        
        <cfset application.conn.RunQuery('INSERT INTO acc_voucher 
        (SBOClientId, BranchId, GeneralLedgerId, Credit, Description, ValueDate, PostingDate, RefNumber) VALUES #sql_gl#')>
    
        <cfset application.conn.RunQuery('INSERT INTO acc_voucher 
        (SBOClientId, BranchId, GeneralLedgerId, Debit, Description, ValueDate, PostingDate, RefNumber) VALUES #sql_gl#')>        
    </cftransaction>
    
    <!--- DELETE FROM TEMP TBL --->
</cfif>
<cfoutput>Record for the month ended&nbsp; #dateformat(endDate,'dd mmm yyyy')# was successfully updated</cfoutput>