<cfsetting requesttimeout="999999999">
<p style="font-size:11px;">

<cffunction name="getExcelSheet" access="public" output="true" returntype="any">
   <cfargument name="filename" required="true" type="string" />
   <cfargument name="sheetName" required="true" type="string" />
   <cfscript>
      var c = "";
      var stmnt = "";
      var rs = "";
      var sql = "Select * from [#sheetName#$]";
      var myQuery = "";
      arguments.filename = expandPath(arguments.filename); 
      if(len(trim(arguments.filename)) and fileExists(arguments.filename))
      {
         try
         {
            CreateObject("java","java.lang.Class").forName("sun.jdbc.odbc.JdbcOdbcDriver");
            c = CreateObject("java","java.sql.DriverManager").getConnection("jdbc:odbc:Driver={Microsoft Excel Driver (*.xls)};DBQ=" & arguments.filename );
            stmnt = c.createStatement();
            rs = stmnt.executeQuery(sql);
            myQuery = CreateObject('java','coldfusion.sql.QueryTable').init(rs);
         }
         catch(any e)
         {
            // error-handling code 
			WriteOutput(e);
		 }   
      }
      return myQuery;
   </cfscript> 
</cffunction>

<cfif StructKeyExists(form,'f')>
	
    <cffile action="upload" filefield="d" destination="#expandpath('docs')#"  nameconflict="overwrite">
    
    <cfset myQuery = getExcelSheet("docs/#cffile.SERVERFILE#","Sheet1")> 
    <cfquery name="qCl" datasource="#application.dsn#">
    	SELECT * FROM sbo_client
    </cfquery>
    <cfquery name="qAT" datasource="#application.dsn#" cachedwithin="999">
    	SELECT * FROM sbo_account_type where Name Like '%Individual%'
    </cfquery>
    <cfquery name="qT" datasource="#application.dsn#" cachedwithin="999">
    	SELECT * FROM sbo_trade_rate
    </cfquery>
    <cfloop query="myQuery" >
    	<cfset nf2 = replacenocase(f2,',','','all')> 
			<cfif IsNumeric(nf2)>
            <cfset nf1 = trim(f1)>
            <cfset nf1 = replacenocase(nf1,'  ',' ','all')>
            <cfset sname = listgetat(nf1,1,' ')>
            <cfif len(nf1)-len(sname) neq 0>
                <cfset oname = trim(right(nf1,len(nf1)-len(sname)))>
            <cfelse>
                <cfset oname=""> 
            </cfif>
        	<!--- check if client exists --->
            <cfquery name="qc" datasource="#application.dsn#">
            	SELECT * FROM crm_client 
                	WHERE Surname LIKE <cfqueryparam cfsqltype="cf_sql_varchar" value="%#sname#%"> 
                	AND OtherNames LIKE <cfqueryparam cfsqltype="cf_sql_varchar" value="%#oname#%">
            </cfquery>
            <cfif qc.recordcount gt 0>
            	<cfoutput>#currentrow#. #nf1# - (#NF2#) - <span style="color:RED;">account already exists</span></cfoutput><br />
            <cfelse>
            	<cftransaction action="begin">
                	<!--- FIND DUPLICATE ---> 
                    <cfquery result="ret" datasource="#application.dsn#">
                        INSERT INTO crm_client	(Surname, OtherNames, Address, OpenDate, sclientname) VALUES	(
                            <cfqueryparam cfsqltype="cf_sql_varchar" value="#sname#">, <cfqueryparam value="#oname#" cfsqltype="cf_sql_varchar">,
                            <cfqueryparam cfsqltype="cf_sql_varchar" value="#trim(f3)##chr(10)##trim(f4)#">,<cfqueryparam value="#now()#" cfsqltype="cf_sql_date">,
                            <cfqueryparam cfsqltype="cf_sql_varchar" value="#nf1#">
                        )
                    </cfquery>
                	<cfquery result="sbo" datasource="#application.dsn#">
                    	INSERT INTO sbo_client	(ClientId, AccountTypeId, AccountName, OpenDate, CommissionRate, AccountId) VALUES	(
                        	<cfqueryparam cfsqltype="cf_sql_integer" value="#ret.GENERATED_KEY#">, 
                            <cfqueryparam cfsqltype="cf_sql_integer" value="#qAT.AccountTypeId#">, <cfqueryparam cfsqltype="cf_sql_varchar" value="#nf1#">,
                            <cfqueryparam value="#now()#" cfsqltype="cf_sql_date">, <cfqueryparam value="#qT.Commission#" cfsqltype="cf_sql_float">,
                            <cfqueryparam value="#getAccountId('010',ret.GENERATED_KEY)#" cfsqltype="cf_sql_varchar">
                        )
                    </cfquery>
                    <cfquery name="gc" datasource="#application.dsn#">
                    	SELECT * FROM sbo_cscs_account WHERE CSCSNumber = <cfqueryparam value="#nf2#" cfsqltype="cf_sql_varchar">
                    </cfquery>
                    <cfif gc.Recordcount eq 0>
                        <cfquery datasource="#application.dsn#">
                            INSERT INTO sbo_cscs_account	(SBOClientId, CSCSNumber) VALUES	(
                                <cfqueryparam cfsqltype="cf_sql_integer" value="#sbo.GENERATED_KEY#">, <cfqueryparam cfsqltype="cf_sql_varchar" value="#nf2#">
                            )
                        </cfquery>
                    </cfif>
                </cftransaction>      
                <cfoutput>#currentrow#. #nf1# - (#NF2#) - <span style="color:green;">account created</span></cfoutput><br />  
            </cfif>
        </cfif> 
        <cfflush interval="20" >
    </cfloop>
    
<cfelse>    
    <cfform name="s" enctype="multipart/form-data">
    	<input name="d" type="file"  />
        <input type="hidden" name="f" value="ddd" />
        <input type="submit" name="sdfdf"  />
    </cfform>    
</cfif>

<cffunction name="getAccountId" access="private" returntype="string">
	<cfargument name="brCode" type="string" required="yes">
    <cfargument name="tid" type="string" required="yes">
    
    <cfset var stemp = "">
    <cfset var accid = "">
    <cfswitch expression="#len(tid)#">
    	<cfcase value="1"><cfset accid = "0000#tid#"></cfcase>
        <cfcase value="2"><cfset accid = "000#tid#"></cfcase>
        <cfcase value="3"><cfset accid = "00#tid#"></cfcase>
        <cfcase value="4"><cfset accid = "0#tid#"></cfcase> 
        <cfdefaultcase><cfset accid = "#tid#"></cfdefaultcase>
    </cfswitch>
    <cfset stemp = ucase(brCode) & dateformat(now(),'ymmdd') & accid >
    
    <cfreturn  stemp>
</cffunction>

</p>