<!---//--------------------------------------------------------------------
	Name:		add_branch_ex.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	Updated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	add brancj ex
---------------------------------------------------------------------//---> 

<!--- check if client has been added to the certificate owner table before. then send to certificate --->
<cfset co = application.conn.RunQuery('SELECT CertificateOwnerId,ClientName,ClientId FROM vw_sbo_certificateowner WHERE SBOClientId = #url.Id#')> 
<cfif co.RecordCount>
	<cfif structkeyexists(url,'id2')>
    	<cflock scope="session" type="exclusive" timeout="4">
        	<cfset session.cert.client_name = url.id2>
            <cfset session.cert.clientid = url.cid />
        </cflock>
    </cfif>
	<cflock type="readonly" timeout="4" scope="session">
    	<cfset client_name = session.cert.client_name />
        <cfset clientid = session.cert.clientId /> 
    </cflock>
	<cflocation url="?bp=client.add_cert_ex&Cert_o_Id=#co.CertificateOwnerId#&id2=#co.ClientName#&cid=#co.clientId#&sid=#url.cid#" addtoken="no" />
</cfif> 

<cfimport taglib="..\..\..\core\tags" prefix="cert">
<cfset blist ="?bp=client.view_cl&#BuildQueryString('rp,grp,id2,id3')#">
	<cfif structkeyexists(url,"cid")>
        <cflock type="exclusive" scope="session"timeout="5">
            <cfset session.cert.client_name = url.id2 /> 
            <cfset session.cert.clientId = url.cid >
        </cflock>
    </cfif>
    <cfset now_ = dateformat(now(),"yyyy/m/d") />
    <cert:Form TableName = "sbo_certificate_owner" FormWidth="500"
                Solution = "#Solution#"
                FormType="add"
                BreadCrumbLinks = "Back to Clients,Add New Certificate to <strong>#session.cert.client_name#</strong>"  
                BreadCrumbLinkUrls = "#blist#"
                FormName = "Certificate Owner"
                FormTitle = "Certificate Owner Information (#session.cert.client_name#)"
                FormLabels = "Accredited By,Authorised By,Note"						
                FormNames = "AccreditedUserId,AuthorisedUserId,Note"
                FormInputTypes = "select,select,textarea"				 
                IsFormInputRequired = "yes,yes,no" 
                HiddenInputs = "SBOClientId,PostingUserId,DatePosted"
                HiddenInputValues = "#session.cert.clientId#,#request.userid#,#now_#"
                RedirectURL = ""
                RunToEnd
                DropDownQuerys = 'SELECT *,UserId AS AccreditedUserId FROM vw_core_user-SELECT *,UserId AS AuthorisedUserId FROM vw_core_user'
                DropDownQueryValues = "DisplayName,DisplayName" /> 
                
<cfif IsDefined("CertificateOwner_PostBack")>
	<cflock type="readonly" timeout="4" scope="session">
    	<cfset client_name = session.cert.client_name />
        <cfset clientid = session.cert.clientId /> 
    </cflock>
	<cflocation url="?bp=client.add_cert_ex&Cert_o_Id=#TransactionId#&id2=#client_name#&sid=#clientId#" addtoken="no" />	
</cfif>