<!---//--------------------------------------------------------------------
	Name:		view_ac.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	Updated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view client account
---------------------------------------------------------------------//--->  
<cfparam name="url.param2" default="#dateformat(now(),'yyyy/mm/dd')#">
<cfparam name="url.param1" default="#dateformat(now(),'1990/1/1')#">
<cfparam name="utl.qt" default="TransactionDate">

<cfset sql = 
'SELECT ca.AccountId, Sum(ca.Debit) Debit,Sum(ca.Credit) Credit, SUM(Credit) - SUM(Debit) Balance, ca.AccountName, ca.SBOClientId, ca.TransactionDate, ca.CSCSNumber, cast(CONCAT(ca.AccountName," | ",ca.SBOClientId) as Char(400)) AccInfo 
FROM vw_sbo_clientaccount AS ca WHERE ca.TransactionDate <= "#url.param2#" and sboclientId <> 0
GROUP BY ca.SBOClientId 
ORDER BY ca.AccountName'>

<!---
<cfquery name="qDebit" dbtype="query" >
	select * from sql where Balance < 0
</cfquery>
--->

<cfset queryname = application.conn.RunQuery(sql)>

<cfset dateChk = #dateFormat(url.param2,'yyyy/mm/dd')# >

<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="core">
<CORE:GRID	GridName="Client Account"
			GridKey = "SBO:ClientAccount"
			ReportTitle = "Client Balance - Debtors" 
			Icon = "cert_o1.gif"
			Solution = "#Solution#"
			DBTable = "sbo_client_account"
            DBTableView = "vw_sbo_clientbalance"
			ColTitles = "Account Name,Client A/C,Debit,Credit,Balance"
			KeyField = "SBOClientId"
			KeyFieldDesc = "CSCSNumber"
			QueryCols = "AccountName,AccountId,Debit,Credit,Balance"
			QueryColTypes = "string,string,money,money,money"
			QuerySQLStatement="#sql#"
            QueryName = "#queryname#"  
			AllowDelete = "false"
            NonSearchableFields="TransactionDate" 
            DeleteImageName = "delete2.gif"
			MaxRows = "#request.PageNumber#"
			ActionImageName = "cert.gif" 
			RelatedLinkURLs="?bp=client.view_cscs,?bp=client.view_cl,?bp=client.view_cert_o,?bp=client.view_cert"
			RelatedLinks="View CSCS Account,View Clients,View Certificate Owners,View Certificate Status"
			ActionKey = "View Statement of Account" 
			ActionToolTip = "View [AccountName]'s Statement"
			ActionLink = "?bp=|.SBO.client.x_stm&id3=[AccInfo]"
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"   />

<cfquery name="qn" dbtype="query">
	SELECT SUM(Debit) Debit_, SUM(Credit) Credit_,  SUM(Credit - Debit) Balance_ FROM GridQuery
</cfquery>     

<cfset OpDiff = 0.00 >
        
<!--- <cfset chkyrDate = #CREATEODBCDATETIME("2013-02-28")# > --->

 
<cfset chkyrDate = "#dateformat(now(),'2013/02/28')#">
<cfset Newdate = "#dateformat(now(),'yyyy/mm/dd')#">

<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/03/31')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 16055873.33>
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >

<!---<cfelse>
     	<cfset opDiff = 16055873.43 >--->
        
</cfif>
<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/04/30')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 16106089.76>
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
</cfif>
<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/05/31')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 16105589.62>
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
</cfif>
<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/06/30')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 15966088.50>
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
</cfif>
<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/07/31')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 15966088.46>
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
</cfif>
<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/08/31')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 15964588.45 >
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
</cfif>
<cfif (url.param1 LT chkyrdate) && (dateChk LE #dateformat(now(),'2013/09/30')#) >  
	<!---	<cfset OpDiff = 11890240.17 >   --->
      <cfset OpDiff = 15964588.45 >
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
<cfelse>
	  <cfset OpDiff = 15964588.45 >
      <cfset qn.Debit_ = qn.Debit_ + #OpDiff# >
</cfif>
        
<!--- <cfset OpDiff = 11066456.09 >  --->
	<!---<cfset qn.Debit_ = qn.Debit_ + #OpDiff# > --->
	<cfset qn.Balance_ = qn.Credit_ - qn.Debit_  > 
    
<cfimport taglib="..\..\..\core\tags" prefix="V">

    <v:View ViewQuery="#qn#"
    	ViewTitle = "Summary"
        LabelList = "Debit,Credit,Balance"
        ColList="Debit_,Credit_,Balance_"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  />