<!---//--------------------------------------------------------------------
	Name:		view_ac.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	Updated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view client account
---------------------------------------------------------------------//--->  
<cfparam name="url.param2" default="#dateformat(now(),'yyyy/mm/dd')#">
<cfparam name="url.param1" default="#dateformat(now(),'1990/1/1')#">
<cfparam name="utl.qt" default="TransactionDate">


<cfset sql = 
'SELECT ca.AccountId, Sum(ca.Debit) Debit,Sum(ca.Credit) Credit, SUM(ca.Credit) - SUM(ca.Debit) Balance, ca.AccountName, ca.SBOClientId, ca.TransactionDate, ca.CSCSNumber 
FROM vw_sbo_clientaccount AS ca WHERE ca.TransactionDate <= "#url.param2#"
GROUP BY ca.SBOClientId 
ORDER BY ca.AccountName'>


<!---
<cfquery name="qDebit" dbtype="query" >
	select * from sql where Balance < 0
</cfquery>
--->

<cfset queryname = application.conn.RunQuery(sql)> 

<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="core">
<CORE:GRID	GridName="Client Account"
			GridKey = "SBO:ClientAccount"
			ReportTitle = "Client Balance - Debtors" 
			Icon = "cert_o1.gif"
			Solution = "#Solution#"
			DBTable = "sbo_client_account"
            DBTableView = "vw_sbo_clientaccount"
			ColTitles = "Account Name,Client A/C,Debit,Credit,Balance"
			KeyField = "SBOClientId"
			KeyFieldDesc = "CSCSNumber"
			QueryCols = "AccountName,AccountId,Debit,Credit,Balance"
			QueryColTypes = "string,string,money,money,money"
			QuerySQLStatement="#sql#"
            QueryName = "#queryname#"  
			AllowDelete = "false"
            NonSearchableFields="TransactionDate" 
            DeleteImageName = "delete2.gif"
			MaxRows = "#request.PageNumber#"
			ActionImageName = "cert.gif" 
			RelatedLinkURLs="?bp=client.view_cscs,?bp=client.view_cl,?bp=client.view_cert_o,?bp=client.view_cert"
			RelatedLinks="View CSCS Account,View Clients,View Certificate Owners,View Certificate Status"
			ActionKey = "View Statement of Account" 
			ActionToolTip = "View [AccountName]'s Statement"
			ActionLink = "?bp=|.SBO.client.x_stm&id3=[AccInfo]"
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"   />

<cfquery name="qn" dbtype="query">
	SELECT SUM(Debit) Debit_, SUM(Credit) Credit_,  SUM(Credit - Debit) Balance_ FROM GridQuery
</cfquery>             

<cfimport taglib="..\..\..\core\tags" prefix="V">

    <v:View ViewQuery="#qn#"
    	ViewTitle = "Summary"
        LabelList = "Debit,Credit,Balance"
        ColList="Debit_,Credit_,Balance_"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  />