<!---//--------------------------------------------------------------------
	Name:		view_ac.cfm
	Author:		Arowolo Michael .A.
	Created:	19/03/2008
	Updated:	19/03/2008
	Copyright:	(c) 2008	
	Purpose:	view client account
---------------------------------------------------------------------//--->  
<cfparam name="url.param2" default="#dateformat(now(),'yyyy/mm/dd')#">
<cfparam name="url.param1" default="#dateformat(now(),'1990/1/1')#">
<cfparam name="utl.qt" default="TransactionDate">

<cfset sql = 'SELECT ca.AccountId, ca.AccountType, ca.AccountTypeId,Sum(ca.Debit) Debit,Sum(ca.Credit) Credit, SUM(Credit) - SUM(Debit) Balance, ca.AccountName, ca.SBOClientId, ca.TransactionDate, ca.CSCSNumber, CONCAT(ca.AccountName," | ",ca.SBOClientId) AccInfo FROM vw_sbo_clientaccount AS ca WHERE ca.TransactionDate <= "#url.param2#" and (AccountTypeId = 3 or AccountTypeId = 4 ) GROUP BY ca.SBOClientId ORDER BY ca.AccountName'>
<cfset queryname = application.conn.RunQuery(sql)>

<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="core">
<CORE:GRID	GridName="Individual Clients Account Balances"
			GridKey = "SBO:ClientAccount"
			ReportTitle = "Individual Clients Account Balances" 
			ReportSubTitle = "As At: #dateformat(url.param2,'d/m/yyyy')#"
            Icon = "cert_o1.gif"
			Solution = "#Solution#"
			DBTable = "client_account"
            DBTableView = "vw_sbo_clientaccount"
			ColTitles = "Account Name,Account Type,Client A/C,Debit,Credit,Balance"
			KeyField = "SBOClientId"
			KeyFieldDesc = "CSCSNumber"
			QueryCols = "AccountName,AccountType,AccountId,Debit,Credit,Balance"
			QueryColTypes = "string,string,string,money,money,money"
			QuerySQLStatement="#sql#"
            QueryName = "#queryname#"  
			AllowDelete = "false"
            NonSearchableFields="TransactionDate" 
            DeleteImageName = "delete2.gif"
			MaxRows = "#request.PageNumber#"
			ActionImageName = "cert.gif" 
			RelatedLinkURLs="?bp=|.sbo.client.view_ac_cop,?bp=|.sbo.client.view_ac_pif"
			RelatedLinks="View Corporate Clients Balances,View PIF Clients Balances"
			ActionKey = "View Statement of Account" 
			ActionToolTip = "View [AccountName]'s Statement"
			ActionLink = "?bp=|.SBO.client.x_stm&id3=[AccInfo]"
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"   />

<cfquery name="qn" dbtype="query">
	SELECT SUM(Debit) Debit_, SUM(Credit) Credit_,  SUM(Credit - Debit) Balance_ FROM GridQuery
</cfquery>             

<cfimport taglib="..\..\..\core\tags" prefix="V">

    <v:View ViewQuery="#qn#"
    	ViewTitle = "Summary"
        LabelList = "Debit,Credit,Balance"
        ColList="Debit_,Credit_,Balance_"
        ColFormatList = "money,money,money"
        ViewAlign = "right"  />