<link href="../../../css/table.css" rel="stylesheet" type="text/css" />
<cfset c = createObject('component','com.adexfe.officemod.controller.ClientAccount').init(application.dsn)>
<cfoutput>
<title>
  Batch Contract Note #url.tt# | #url.sd# - #url.ed#
</title> 
<cfquery name="qCN" datasource="#application.dsn#">
	SELECT * FROM vw_sbo_allotment WHERE Type = "#url.tt#" AND TransactionDate BETWEEN "#url.sd#" AND "#url.ed#" AND SBOClientId <> '5461'
</cfquery>
 
<cfquery name="qClient" dbtype="query" > 
	SELECT SBOClientId, AccountId, AccountName, ClientCSCSNumber,CSCSAccountId
    FROM qCN GROUP BY SBOClientId, AccountId, AccountName, ClientCSCSNumber,CSCSAccountId
</cfquery>

<cfdocument marginleft="0.2" marginright="0.2" backgroundvisible="yes" pagetype="a4" orientation="#url.or#"  format="pdf" marginbottom="0.3" margintop="0.3" >
 
<cfloop query="qClient" > 

    <cfdocumentsection>  
    <link href="#remoteroot('')#css/table.css" rel="stylesheet" type="text/css">
    <style>
		body	{font: Arial, Helvetica, sans-serif; }
	</style> 

  	<cfquery name="getCN" dbtype="query" >
    	SELECT * FROM qCN 
        WHERE SBOClientId = #qClient.SBOClientId#
        	AND CSCSAccountId = #qClient.CSCSAccountId#
    </cfquery>

<table width="100%" border="0" cellspacing="2" style="font-size:13; font-weight:bold;" cellpadding="2">
  <tr>
    <td colspan="3" align="center" valign="top"><img src="../../CORE/docs/images/#request.LetterHead#" /></td>
  </tr>
  <tr>
    <td colspan="3" align="center" valign="top"><p><h2><cfif url.tt eq 1>BOUGHT <cfelse>SOLD </cfif>
      CONTRACT NOTE</h2></p></td>
    </tr>
  <tr>
    <td width="29%" style="text-transform: uppercase;">#ucase(qClient.ACCOUNTNAME)#</td>
    <td width="28%">&nbsp;</td>
    <td width="43%" rowspan="3" align="right"><img src="../../../images/samp.jpg" width="225" height="127" /></td>
  </tr>
  <tr>
    <td>
    <cfset add = createobject("component","com.adexfe.officemod.controller.ClientCtrl").init(application.dsn)>
    #add.getAddressByAccDesc(qClient.SBOClientId,application.dsn)#</td>
    <td>&nbsp;</td>
    </tr>
  <tr>
    <td valign="top" nowrap="nowrap">ACCOUNT NO: #qClient.ACCOUNTID#</td>
    <td valign="top" nowrap="nowrap">CSCS ACCOUNT: #qClient.ClientCSCSNumber#</td>
    </tr>
</table>
<br/><br/>
<table width="780" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="AC_Head_Left">Date</td>
    <td class="AC_Head_Left">Security</td>
    <td class="AC_Head_Left">C/Note</td>
    <td class="AC_Head_Left">Units</td>
    <td class="AC_Head_Left">Price</td>
    <td class="AC_Head_Left">Total</td>
    <td class="AC_Head_Left">SEC</td>
    <td class="AC_Head_Left">Comm.</td>
    <td class="AC_Head_Left">VAT</td>
    <td class="AC_Head_Left">NASD</td>
    <td class="AC_Head_Left">Stamp</td>
    <td class="AC_Head_Left">NSE Charges</td>
    <td class="AC_Head_Left">CSCS Charges</td>
    <td class="AC_Head_Right">Net Value</td>
    </tr>
   <cfset sNetValue = 0>
  <cfloop query="getCN">
  <tr>
    <td class="AC_Data_Left">#dateformat(getCN.TransactionDate,'dd/mm/yyyy')#</td>
    <td class="AC_Data_Left">#StockSymbol#</td>
    <td class="AC_Data_Left">#TicketId#</td>
    <td class="AC_Data_Left">#NumberFormat(Units,'_,___')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(UnitPrice,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(TotalPrice,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(Sec,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(Commission,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(VAT,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(NASDCharge,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(ContractStamp,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(NSECharges,'_,___.__')#</td>
    <td align="right" class="AC_Data_Left">#NumberFormat(cscscharges,'_,___.__')#</td>
    <td align="right" class="AC_Data_Right">#NumberFormat(NetValue,'_,___.__')#</td> 
    </tr> 
    <cfset sNetValue = sNetValue + NetValue>
    </cfloop>
  <tr>
    <td colspan="12">&nbsp;</td>
    <td align="right" class="AC_Data_Left">Grand Total &nbsp;&nbsp;</td>
    <td align="right" class="AC_Data_Right">#NumberFormat(sNetValue,'_,___.__')#</td>
  </tr>
  <tr>
    <td height="37" colspan="13" align="center" style="font-size:13px; line-height:20px;">
    <cfset cbal = c.listTransaction(qClient.SBOClientId,qClient.ClientCSCSNumber,getCN.TransactionDate,getCN.TransactionDate).Balance>
    <cfif url.tt eq 1>
    	<cfset cbal = cbal - sNetValue>
    <cfelse>
    	<cfset cbal = cbal + sNetValue>
    </cfif>
    The Balance on your Account after this <cfif url.tt eq 1>Purchase <cfelse>Sale </cfif>is: <s>N</s> #Numberformat(cbal,'_,___.__')#</td>
    </tr>
   
</table>

<p/>&nbsp;
<br/>
<cfset gnote = application.conn.RunQuery('SELECT * FROM sbo_contract_note_setting WHERE BranchId = #request.BranchId#')>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="2" style="font-size:11px; padding:6px">
    
    #gnote.Terms#    </td>
  </tr>
  <tr>
    <td height="94" align="center" valign="bottom"><cfif Len(gnote.Signature1)><p>_________________________<br />
      #gnote.Signature1#<!---CHECKED BY---></p></cfif></td>
    <td align="center" valign="bottom"><cfif Len(gnote.Signature2)><p>_________________________<br />
      #gnote.Signature2# <!--- authorized by ---><br />
      </p>      </cfif></td>
  </tr>
  <tr>
    <td align="center">&nbsp;</td>
    <td align="center">&nbsp;</td>
  </tr>
  <tr>
    <td colspan="2" align="left" style="font-size:11px; padding:6px">#gnote.Policy#</td>
    </tr>
</table>
    </cfdocumentsection>
    <cfdocumentitem type="pagebreak"/>
</cfloop>

</cfdocument>

</cfoutput>
