<link href="../../../css/table.css" rel="stylesheet" type="text/css" />
<!---<cfset c = createObject('component','com.adexfe.officemod.controller.ClientAccount').init(application.dsn)> --->
<cfoutput>
<title>
 CERTIFICATES DEPOSIT FORM 
</title> 

<cfquery name="qCerti" datasource="#application.dsn#">
	SELECT * FROM vw_sbo_certificate WHERE DateReceived = "#url.sd#" and Status = "#url.tt#" 
</cfquery>

<cfquery name="qCerti_Owner" datasource="#application.dsn#">
	SELECT * FROM vw_sbo_certificateowner
</cfquery>
 
<cfdocument marginleft="0.2" marginright="0.2" backgroundvisible="yes" pagetype="a4" orientation="#url.or#"  format="pdf" marginbottom="0.3" margintop="0.3" >
 
<cfloop query="qCerti_Owner" > 
    
    <cfquery name="qTempGrp" dbtype="query" >
    	SELECT NameOnCertificate,StockSymbol,RegistrarNumber 
        FROM qCerti WHERE CertificateOwnerId = #qCerti_Owner.CertificateOwnerId#
        GROUP BY NameOnCertificate, StockSymbol,RegistrarNumber
    </cfquery>
    

	<cfquery  datasource="#application.dsn#" name="qMember">
    	SELECT * FROM core_company
    </cfquery>

  	<cfloop query="qTempGrp">
    
    
    	<cfdocumentsection>  
    
    		<cfquery name="qTemp" dbtype="query" >
        		SELECT * FROM qCerti 
            	WHERE CertificateOwnerId = #qCerti_Owner.CertificateOwnerId# AND NameOnCertificate = '#qTempGrp.NameOnCertificate#'
            	AND StockSymbol = '#qTempGrp.StockSymbol#' AND RegistrarNumber = '#qTempGrp.RegistrarNumber#'
            
        	</cfquery>
    
    		<link href="#remoteroot('')#css/table.css" rel="stylesheet" type="text/css">
    		<style>
				.cscs_sub_hd	{ font: bold 11px Arial, Helvetica, sans-serif; }
				.cscs_hd	{ font: bold 20px Georgia, "Times New Roman", Times, serif; }
				.cscs_low_hd	{
				font: bold 17px Arial, Helvetica, sans-serif;
				text-decoration: underline;
				}  
				.AC_Head_Left,.AC_Head_Right	{
				font-size:12px;
				text-transform: uppercase;
				} 
				.AC_Data_Left,.AC_Data_Right	{
				font-size:12px;
				text-transform: uppercase;
				} 
			</style>  
			<table width="100%" border="0" cellspacing="2" cellpadding="2">
		    	<tr>
    		        <td align="center" class="cscs_hd">CENTRAL SECURITIES CLEARING SYSTEM LTD</td>
  	    		</tr>
          		<tr>
            		<td align="center" class="cscs_low_hd">CERTIFICATES DEPOSIT FORM</td>
          		</tr>
          		<tr>
            		<td align="center">&nbsp;</td>
          		</tr>
          		<tr>
            		<td align="center">
                    <table width="100%" border="0" cellspacing="2" cellpadding="2">
              	   		<tr>
                			<td width="10%" align="left">&nbsp;</td>
                			<td width="61%" align="left">MEMBER CODE: #qMember.MemberCode#</td>
                			<td width="29%" rowspan="2" valign="top" nowrap="nowrap">DATE: #dateformat(url.sd,'dd/mm/yyyy')#</td>
              			</tr>
              			<tr>
                			<td align="left">&nbsp;</td>
                			<td align="left" nowrap="nowrap">MEMBER NAME: #request.CompanyName#</td>
              			</tr>
          			</table>
                    </td>
          		</tr>
          		<tr>
            		<td>&nbsp;</td>
          		</tr>
          		<tr>
            		<td>
                    <table width="100%" border="0" cellpadding="0" cellspacing="0">
              			<tr>
                			<td class="AC_Head_Left">CHN</td>
                			<td class="AC_Head_Left">CSCS</td>
                			<td class="AC_Head_Left">SHARE HOLDER'S NAME</td>
                			<td class="AC_Head_Left">SECURITY</td>
                			<td class="AC_Head_Left">UNITS</td>
                			<td class="AC_Head_Left">CERTIFICATE NO</td>
                			<td class="AC_Head_Right">REGISTRAR'S A/C NO</td>
              			</tr>
              			<cfset sumUnits = 0>
              			<cfset Cert_Count = 0> 
              			<cfloop query="qTemp">
              			<tr>
                			<td class="AC_Data_Left">#qTemp.CHN#</td>
                			<td class="AC_Data_Left">#qTemp.CSCSNumber#</td>
                			<td class="AC_Data_Left">#qTemp.NameOnCertificate#</td>
                			<td class="AC_Data_Left">#qTemp.StockSymbol#</td>
                			<td class="AC_Data_Left">#NumberFormat(qTemp.Units,'_,___')#</td>
                			<cfset sumUnits = qTemp.Units + sumUnits>
                			<cfset Cert_Count = Cert_Count + 1>
                			<td class="AC_Data_Left">#qTemp.CertificateNumber#</td>
                			<td class="AC_Data_Right">#qTemp.RegistrarNumber#</td>
              			</tr> 
              			</cfloop>
              			<tr>
                			<td height="25" colspan="4" align="right">TOTAL&nbsp;&nbsp;&nbsp;&nbsp;</td>
                			<td class="AC_Data_Left">#NumberFormat(sumUnits,'_,___')#</td>
                			<td class="AC_Data_Right">#Cert_Count#</td>
                			<td>&nbsp;</td>
              			</tr>
            		</table>
                    </td>
          		</tr>
        		
          		<tr>
            		<td>&nbsp;</td>
          		</tr>
          		<tr>
            		<td><b>Declaration:</b>
            		<div>We declare that the security/securities attached hereto are genuine and that we have the<br/>
            		mandate of the shareholder to deposit them with CSCS Ltd. 
            		<br/><br/>CSCS should not be held liable for any defects <br />
            		or misrepresentation from the foregoing.</div></td>
          		</tr>
          		<tr>
            		<td>&nbsp;</td>
          		</tr>
          		<tr>
            		<td>&nbsp;</td>
          		</tr>
          		<tr>
            		<td>&nbsp;</td>
          		</tr>
          		<tr>
            		<td><table width="100%" border="0" cellspacing="2" cellpadding="2">
              		 	<tr>
              	  			<td>Name: <u>#qTemp.AccreditedUserName#</u></td>
                			<td>Name:  <u>#qTemp.AuthorisedUserName#</u></td>
              			</tr>
              			<tr>
                			<td>Signature:_________________________</td>
                			<td>Signature:_________________________<br /></td>
              			</tr>
              			<tr>
                			<td><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Accredited Signatory</b></td>
                			<td><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Managing Director/CEO</b></td>
              			</tr>
              			<tr>
                			<td>&nbsp;</td>
                			<td>&nbsp;</td>
              			</tr>
              			<tr>
                			<td>Official Stamp</td>
                			<td>Lodged By: </td>
              			</tr>
                         </table>
                    </td>
          		</tr>
        	</table>
  		</cfdocumentsection>
    </cfloop>
  		<cfdocumentitem type="pagebreak"/>
</cfloop>

</cfdocument>

</cfoutput>
