<!---//--------------------------------------------------------------------
	Name:		view_se.cfm
	Author:		Arowolo Michael .A.
	Created:	11/11/2008
	Updated:	11/11/2008
	Copyright:	(c) 2008	
	Purpose:	view settlement
---------------------------------------------------------------------//--->  
<cfparam name="url.qt" default="TransactionDate">
<cfset yyyymm = "#Year(now())#/#month(now())#">
<cfparam name="url.param1" default="#yyyymm#/1">
<cfparam name="url.param2" default="#yyyymm#/#DaysInMonth(now())#">

<cfset QueryName = application.conn.RunQuery("SELECT * FROM vw_sbo_allotment")>
<cfimport taglib="..\..\..\core\tags\xGrid_v1000" prefix="">
<cfimport taglib="..\..\..\core\tags" prefix="nse_v">
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td colspan="4">
<grid	GridName="Sold Allotment Summary"
			Solution = "#Solution#"
            Icon="alt.gif"
            GridKey = "SBO:SoldAllotment"
			DBTable = "sbo_allotment"
            DBTableView = "vw_sbo_allotment"
			ColTitles = "Date,Ticket,Security,CSCS No.,Units,Price,Total,Comm.,SEC,Stamp,VAT,NSE Charges,CSCS Charges,Net Value"
			KeyField = "AllotmentId"
			KeyFieldDesc = "TicketId"
			QueryCols = "TransactionDate,TicketId,StockSymbol,ClientCSCSNumber,Units,UnitPrice,TotalPrice,Commission,SEC,ContractStamp,VAT,NSECharges,CSCSCharges,NetValue"
			QueryColTypes = "date,string,string,string,integer,money,money,money,money,money,money,money,money,money"
			QueryName ="#QueryName#"  
			AllowDelete = "false"
			MaxRows = "100"
            SearchableFields = "Type"
            SearchableName= "Transaction Type"
            DeleteImageName=""
			ActionImageName ="" 
			RelatedLinkURLs="?bp=nse_trade.add_tl,?bp=nse_trade.view_nt,?bp=nse_trade.view_alt&param1=#url.param1#&param2=#url.param2#,?bp=nse_trade.view_ba&param1=#url.param1#&param2=#url.param2#"
			RelatedLinks="Upload NSE Trade,NSE Trade History,Allotment Summary, Bought Allotment Summary"
            ActionType=""
			ActionKey = ""
			ActionToolTip = ""
			ActionLink = "" 
			DateSearchDDList="Query by Transaction Date"
			DateSearchDDListValue="TransactionDate"
            NonSearchableFields = "TransactionDate" />    </td>
  </tr>
  <tr>     
  <cfquery name="qSummary" dbtype="query">
    	SELECT 
        	SUM(NetValue) AS sNetValue,
            SUM(Sec) AS sSec,
            SUM(ContractStamp) AS sContractStamp, 
            SUM(Commission) AS sCommission, 
            SUM(SellCSCS) AS sSellCSCS, 
            SUM(SellCSCSVAT) AS sSellCSCSVAT,
            SUM(SellCSCS+SellCSCSVAT) AS sCSCSCharges, 
            SUM(NSECharges) AS sNSE,
            SUM(VAT) AS sVAT,
            SUM(TotalPrice) AS sTotalPrice
        FROM GridQuery
    </cfquery> 
    <td width="25%" valign="top" > 
</td>
    <td width="25%" valign="top">    </td>
    <td  valign="top">
    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary (Total Fee)"
        LabelList = "VAT Charges,NSE Charges,Commission,CSCS Charges" 
        ColList="sVAT,sNSE,sCommission,sCSCSCharges"
        ColFormatList = "money,money,money,money"
        ViewAlign = "right"  /> </td>
    <td  valign="top">    <nse_v:View ViewQuery="#qSummary#"
    	ViewTitle = "Summary (Total Fee)"
        LabelList = "Net Value,Contract Stamp,Considiration"
        ColList="sNetValue,sContractStamp,sTotalPrice"
        ColFormatList = "money,money,money"
        ViewAlign = "right"
        
    /></td>
  </tr>
</table>




