<!--- tooltip script--->
<script type="text/javascript" src="../../core/js/wz_tooltip/wz_tooltip.js"></script>
<script type="text/javascript" src="../../core/js/wz_tooltip/tip_centerwindow.js"></script>
<script type="text/javascript" src="../../core/js/tip_balloon/tip_balloon.js"></script>

<cfinclude template="inc_IsLogIn.cfm">
<cfinclude template="inc_logo.cfm">
<cfparam name="page" default="">

<cffunction name="WriteActiveMenuItem" access="private" returntype="string">
	<cfargument name="MenuTitle" required="yes">
	<cfargument name="MenuLink" required="yes">
	<cfargument name="MenuToolTip" required="no">
	
	<cfset temp="<li><a href='?#urlEncrypt(MenuLink)#' title='#MenuToolTip#'><span>#MenuTitle#</span></a></li>">
    
	<cfreturn temp>
</cffunction>

<cffunction name="WriteSelectedMenuItem" access="private" returntype="string">
	<cfargument name="MenuTitle" required="yes"> 
		
	<cfset temp="<li><span>#MenuTitle#</span></a></li>">
    
	<cfreturn temp>
</cffunction>

<cfset qcatchtime = CreateTime(3, 0, 0)>
 
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td> 
<div id="tabs"> 
	<ul>
		<cfoutput>
        <!--- get the foldername of solutions --->
        <cfset b = CreateObject('component','com.adexfe.util.bQuery').init() > 
        <cfset MolduleWClause = b.ExpandClause(request.roleinfo.ModuleId,'ModuleId') >
        <cfquery name="qSolution" dbtype="query" cachedwithin="#qcatchtime#">
        	SELECT * FROM application.Solutions
            WHERE FolderName = '#lcase(solution)#'
        </cfquery>   
        <cfif solution eq qSolution.FolderName >
            <!--- filter module by solution --->
            <cfquery name="qModule" dbtype="query" cachedwithin="#qcatchtime#">
                SELECT * FROM application.Modules WHERE SolutionId = #qSolution.SolutionId# AND ShowInMenu = 'true'
                ORDER BY Name
            </cfquery> 
            <!--- get modules --->
            <cfif request.roleinfo.modules neq "*">
                <cfquery name="qModule" cachedwithin="#qcatchtime#" dbtype="query">
                    SELECT * FROM application.Modules WHERE (#MolduleWClause#)
                    AND SolutionId = #qSolution.SolutionId#
                </cfquery> 	 
            </cfif>    	
            <cfloop query="qModule"> 
                <cfquery name="qPage" cachedwithin="#qcatchtime#" dbtype="query">
                    SELECT * FROM application.Pages
                    WHERE ModuleId = #qModule.ModuleId# AND FilePath LIKE '%view_%'
                </cfquery>
                <cfif not qPage.RecordCount>
                    <cfquery name="qPage" cachedwithin="#qcatchtime#" dbtype="query">
                        SELECT * FROM application.Pages WHERE ModuleId = #qModule.ModuleId#
                    </cfquery>
                </cfif>
                <cfif ListFirst(bp,'.') eq '#qModule.FolderName#'>
                    #WriteSelectedMenuItem(qModule.Name)#
                <cfelse>
                    #WriteActiveMenuItem(qModule.Name,'bp=' & qModule.FolderName & '.' & qPage.Name, qModule.Description)#
                </cfif> 
            </cfloop>
        </cfif> 
		
		<li><a href="#remoteroot('')#core/includes/inc_logout.cfm" title="Log out"><span>Log out</span></a></li>
		</cfoutput>	
	</ul>
</div>
	</td>
    </tr>
</table>
