<!---------------------------------------
	Author:		Arowolo Abiodun M.
	Created:	27/09/2007
	Modified:	27/09/2007
	Remarks:	
	History:	
	Code Type:	template (to display query of solutions in list/column form)
-----------------------------------//--->   
<cfparam name="ColumnCount" type="numeric" default="3" >
<cfparam name="ColumnWidth" type="string" default="100%" >
<cfparam name="ColumnAlign" type="string" default="left" >

<cfset sql = "SELECT * FROM application.Solutions"> 
<cfif NOT(request.roleInfo.Solutions) eq "*">
	<cfset inlist = "" />
    <cfloop list="#request.roleInfo.SolutionId#" index="lst">
        <cfset inlist = ListAppend(inList,'SolutionId = #lst#','^') />
    </cfloop>
	<cfset inlist = replace(inlist,'^',' OR ','ALL') />
	<cfset sql = "#sql# WHERE #inlist# ORDER BY Name" />
</cfif>
<cfquery name="qSolution" dbtype="query" cachedwithin="#CreateTimeSpan(0,6,0,0)#">
	#sql#
</cfquery> 
<cfset totRec = qSolution.RecordCount>
<cfset tdCount = Ceiling(totRec / ColumnCount)>
<cfset indRolWidth = val(ColumnWidth) / ColumnCount>
<cfset mment = right(ColumnWidth,1)>

<cfif Not(IsNumeric(mment))>
	<cfset indRolWidth = int(indRolWidth) & mment>
</cfif>
<cfoutput>

<div align="center" id="section_" style="height:500px">	
	<table width="#ColumnWidth#" border="0" align="center" cellpadding="3" cellspacing="3">
	<cfset c1 =0>
	<cfloop from="1" to="#tdCount#" index="i">
		<tr>
		<cfloop from="1" to="#ColumnCount#" index="j">
		<cfset c1 = c1 + 1>
			<td width="#indRolWidth#" valign="top" align="left">
			<cfif not(c1 gt totRec)> 
				<div class="cp_image_text">
					<h2>#qSolution.Name[c1]#</h2>
					<h6>#qSolution.Description[c1]#</h6>
                    <cfset eurl=urlEncrypt('bp=welcome')>
					<a href="solutions/#qSolution.FolderName[c1]#/?#eurl#"><img src="solutions/core/docs/images/#qSolution.IconPath[c1]#" border="0" /></a>
				</div >  
			</cfif>
			</td>
		</cfloop>
		</tr>
	</cfloop>
	</table>
</div> 
</cfoutput>
