/*
MySQL Data Transfer
Source Host: localhost
Source Database: officemod
Target Host: localhost
Target Database: officemod
Date: 4/12/2008 4:41:15 AM
*/

SET FOREIGN_KEY_CHECKS=0;
-- ----------------------------
-- Table structure for grid
-- ----------------------------
CREATE TABLE `grid` (
  `GridId` int(11) NOT NULL auto_increment,
  `GridKey` varchar(255) NOT NULL,
  PRIMARY KEY  (`GridId`),
  UNIQUE KEY `GridKey` (`GridKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for grid_view
-- ----------------------------
CREATE TABLE `grid_view` (
  `GridViewId` int(11) NOT NULL auto_increment,
  `GridId` int(11) default NULL,
  `UserId` int(11) NOT NULL default '1',
  `ViewTitle` varchar(255) default NULL,
  `ReportTitle` varchar(255) default NULL,
  `ViewName` varchar(255) NOT NULL,
  `ColumnName` varchar(255) default NULL,
  `ColumnValue` varchar(255) default NULL,
  `ColumnType` varchar(255) default NULL,
  `ShowView` enum('true','false') default 'false',
  PRIMARY KEY  (`GridViewId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records 
-- ----------------------------
