

<cffunction name="getUV" access="public" returntype="string">
	<cfargument name="Length" required="yes" type="numeric">
	<cfargument name="Type" required="no" type="string" default="all"><!--- numbers,alphabets --->
	
	<cfset alph = "A,B,C,D,E,F,G,H,J,K,L,M,N,P,Q,R,S,T,U,V,W,X,Y,Z"> 
	<cfset temp="">
	<cfset Pick=0>
	<cfloop from="1" to="#length#" index="i">
		<cfif Type eq 'all'>
			<cfif randrange(0,1) eq 0><!--- alpha --->
				<cfset Pick = 0>
			<cfelse>
				<cfset Pick = 1>
			</cfif>
		<cfelseif Type eq "numbers">
			<cfset Pick = 1>
		</cfif>
		<cfif Pick eq 1>
			<cfset temp=temp & randRange(1,9)>
		<cfelse>
			<cfset temp = temp & listgetat(alph,randrange(1,24),',')>
		</cfif>		
	</cfloop>
	<cfset temp=temp & timeformat(now(),'mmss')>
	<cfreturn temp>
</cffunction>

<cfscript>
	function getCurrency(CurrencyType)	{
		switch(CurrencyType)	{
			case "Naira" : rtn = "&##8358;";//"<s>N</s>";
				break;
			default: rtn = "&##8358;";//"<s>N</s>";
		}
		return rtn;
	}
</cfscript>

<cffunction name="getSearchOperator" access="public" returntype="struct">
	<cfparam name="url.Operator" default="=">
	<cfscript> 
		soptr = '';
		switch(url.Operator)	{
			case 'lt':optr=' < ';break;
			case 'gt':optr=' > ';break;
			case 'ge':optr=' >=' ;break;
			case 'le':optr=' <= ';break;
			case 'eq':optr=' = ';break;
			case 'neq':optr=' <> ';soptr = 'NOT'; break;
			default:optr=' = ';
		}
	</cfscript> 
    <cfset x.optr = optr>
    <cfset x.soptr = soptr>
    
    <cfreturn x>
</cffunction>
 
<cffunction name="generateWhereClause" access="Public" returntype="string" >   
	
    <cfset x = getSearchOperator()>
    
    <cfset soptr = x.soptr>
    <cfset optr = x.optr>
    
<!---    <cfif IsNumeric(url.Keyword)>
    	<cfset wc = '#url.SearchIn# #optr# #url.Keyword#'>
    <cfelse>--->
    	<cfset wc = '#url.SearchIn# #soptr# LIKE "%#url.Keyword#%"'>
    <!---</cfif>--->
    <cfswitch expression="#url.Operator#">
    	<cfcase value="ew">
        	<cfset wc = '#url.SearchIn# #soptr# LIKE "#url.Keyword#"'>
        </cfcase>
        <cfcase value="bw">
        	<cfset wc = '#url.SearchIn# #soptr# LIKE "#url.Keyword#%"'>
        </cfcase>	
    </cfswitch>
    
    <cfreturn wc >
</cffunction>

<cffunction name="getMySQLView" access="private" returntype="any" output="false">
    <cfquery name="qData" datasource="#this.dsn#">
        SELECT * FROM #this.DataProvider#
        ORDER BY #url.SortBy# #url.OrderBy#
        LIMIT #calculateCurrentPage(this.cp,this.mr)#,#this.mr#
    </cfquery>
    <cfreturn qData />
</cffunction>

<cffunction name="calculateCurrentPage" access="private" returnttype="Numeric" output="false" hint="Determine the current page">
    <cfargument name="cp" type="Numeric" required="false" default="1" />
    <cfargument name="mr" type="Numeric" required="false" default="99999999" />
    <cfif arguments.cp eq 1>
        <cfset arguments.cp = 0 />
    <cfelse>
        <cfset arguments.cp = (arguments.cp - 1) * arguments.mr />
    </cfif>
    <cfreturn arguments.cp />
    
</cffunction>

<cffunction name="urlEncrypt" returntype="string" access="public">
	<cfargument name="querystring" required="yes" type="string"> 
    <cfargument name="key" required="no" default="#request.userid##dateformat(now(),'ddmmyy')#">
    
	<cfreturn "h=#lcase(Encrypt(arguments.querystring, arguments.key, 'CFMX_COMPAT','hex'))#">
</cffunction> 

<cffunction name="urlDecrypt" returntype="struct" access="public">
	<cfargument name="hashstring" required="yes" type="string">
    <cfargument name="key" required="no" default="#request.userid##dateformat(now(),'ddmmyy')#">
    
    <cftry>
    	<cfif len(arguments.hashstring)>
            <cfset qs = Decrypt(arguments.hashstring, arguments.key, 'CFMX_COMPAT','hex')> 
            <cfloop list="#qs#" index="lst" delimiters="&">
                <cfset url[ListFirst(lst,'=')] = ListLast(lst,'=')>
            </cfloop>
        </cfif>
        <cfcatch type="any">
        
        </cfcatch>
	</cftry>
	<cfreturn url>
</cffunction> 
 
<cffunction name="getSystemInfo" access="public" returntype="string">
	<cfset info = "Browser Agent : #replacenocase(cgi.HTTP_USER_AGENT,';', ',','all')# <br />">
	<cfset info = "#info# IP Address : #cgi.REMOTE_ADDR# <br />">
	<cfset info = "#info# URL : #cgi.SCRIPT_NAME#?#cgi.QUERY_STRING#">
	<cfreturn info>
</cffunction>