<!---
<cfset tpath = #ExpandPath( "../" )# >
<cfoutput>
<b>Current Template Path: #tpath#gstock\images <br />

</cfoutput>
<cfset CurrentTemplatePath=GetCurrenttemplatePath()>
<cfset CurrentDirectory=GetDirectoryFromPath(CurrentTemplatePath)>
<cfoutput>
<b>Current Template Path:</b> #CurrentTemplatePath#
<br />
<b>Current Directory:</b> #CurrentDirectory#
</cfoutput>
--->

<cfset CurrentTemplatePath=GetCurrenttemplatePath()>
<cfset CurrentDirectory=GetDirectoryFromPath(CurrentTemplatePath)>

<cfset thisDir = #CurrentDirectory# <!---#expandPath(".")# ---> >
<cfset thisDir = #CurrentDirectory# & "/images" <!---#expandPath(".")# ---> >

 <!--- Determine whether the form is uploaded with the image. --->
<cfif structKeyExists(form,"image") and len(trim(form.image))>
	<!--- Use the cffile tag to upload the image file. --->
	<cffile action="upload" fileField="image" destination="#thisDir#" result="fileUpload" accept="application/msword, application/pdf, image/jpg, image/jpeg, image/png, text/html, text/plain, application/vnd.openxmlformats-officedocument.wordprocessingml.document"
   	nameconflict="overwrite"> 
	<!--- Determine whether the image file is saved. --->
	<cfif fileUpload.fileWasSaved>
        <cfset original=ImageNew("#fileUpload#")>
        <cfimage source="#original#" action="writeToBrowser"> 
		<!--- Determine whether the saved file is a valid image file. --->
		<cfif IsImageFile("#fileUpload.serverfile#")>
			<!--- Read the image file into a variable called myImage. --->
			<cfimage action="read" source="#fileUpload.serverfile#" name="myImage">
			<!--- Determine whether the image file exceeds the size limits. --->
			<cfif ImageGetHeight(myImage) gt 800 or ImageGetWidth(myImage) gt 800>
				<!--- If the file is too large, delete it from the server. --->
				<cffile action="delete" file="#fileUpload.serverDirectory#/#fileUpload.serverFile#">
				<cfoutput>
				<p>
				The image you uploaded was too large. It must be less than 800 pixels wide
				and 800 pixels high. Your image was #imageGetWidth(myImage)# pixels wide
				and #imageGetHeight(myImage)# pixels high.
				</p>
				</cfoutput>
				<!--- If the image is valid and does not exceed the size limits,
				create a thumbnail image from the source file that is 75-pixels
				square, while maintaining the aspect ratio of the source image.
				Use the bilinear interpolation method to improve performance. --->
			<cfelse>
                <!---
				<cfset ImageScaleToFit(myImage,75,75,"bilinear")>
				<!--- Specify the new filename as the source filename with "_thumbnail" appended to it. --->
				<cfset newImageName = fileUpload.serverDirectory & "/" & fileUpload.serverFilename & "_thumbnail." & fileUpload.serverFileExt>
				<!--- Save the thumbnail image to a file with the new filename. --->
				<cfimage source="#myImage#" action="write" destination="#newImageName#" overwrite="yes">
				
				<p>
				Thank you for uploading the image. We have created a thumbnail for your picture.
				</p> --->
                <cfoutput>
				<p>
				<!--- Display the thumbnail image. --->
				<img src="#fileUpload.serverFile# " <!---"#getFileFromPath(newImageName)#"   --->  >
				</p>
                <p><h2>Thank you for uploading the image.</h2></p>
				</cfoutput>
			</cfif>
			<!--- If it is not a valid image file, delete it from the server. --->
		<cfelse>
			<!---<cffile action="delete" file="#fileUpload.serverDirectory#/#fileUpload.serverFile#"> --->
            
        	<cfoutput>
			<p>
			<!--- Display the thumbnail image. --->
			<img src="#fileUpload.serverFile# " <!---"#getFileFromPath(newImageName)#"   --->  >
			</p>
            <p><h2>Thank you for uploading the image.</h2></p>
			</cfoutput>
		</cfif>
	</cfif>
</cfif>


<cffunction name="getWebPath" access="public" output="false" returntype="string" hint="Gets the absolute path to the current web folder.">
    <cfargument name="url" required="false" default="#getPageContext().getRequest().getRequestURI()#" hint="Defaults to the current path_info" />
    <cfargument name="ext" required="false" default="\.(cfml?.*|html?.*|[^.]+)" hint="Define the regex to find the extension. The default will work in most cases, unless you have really funky urls like: /folder/file.cfm/extra.path/info" />
    <!---// trim the path to be safe //--->
    <cfset var sPath = trim(arguments.url) />
    <!---// find the where the filename starts (should be the last wherever the last period (".") is) //--->
    <cfset var sEndDir = reFind("/[^/]+#arguments.ext#$", sPath) />
    <cfreturn left(sPath, sEndDir) />
</cffunction>